XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

randr.h
1 /*
2 * This file generated automatically from randr.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __RANDR_H
13 #define __RANDR_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17 #include "render.h"
18
19 #ifdef __cplusplus
20 extern "C" {
21 #endif
22
23 #define XCB_RANDR_MAJOR_VERSION 1
24 #define XCB_RANDR_MINOR_VERSION 3
25
26 extern xcb_extension_t xcb_randr_id;
27
28 typedef uint32_t xcb_randr_mode_t;
29
33 typedef struct xcb_randr_mode_iterator_t {
34 xcb_randr_mode_t *data;
35 int rem;
36 int index;
37 } xcb_randr_mode_iterator_t;
38
39 typedef uint32_t xcb_randr_crtc_t;
40
44 typedef struct xcb_randr_crtc_iterator_t {
45 xcb_randr_crtc_t *data;
46 int rem;
47 int index;
48 } xcb_randr_crtc_iterator_t;
49
50 typedef uint32_t xcb_randr_output_t;
51
55 typedef struct xcb_randr_output_iterator_t {
56 xcb_randr_output_t *data;
57 int rem;
58 int index;
59 } xcb_randr_output_iterator_t;
60
62 #define XCB_RANDR_BAD_OUTPUT 0
63
67 typedef struct xcb_randr_bad_output_error_t {
68 uint8_t response_type;
69 uint8_t error_code;
70 uint16_t sequence;
71 } xcb_randr_bad_output_error_t;
72
74 #define XCB_RANDR_BAD_CRTC 1
75
79 typedef struct xcb_randr_bad_crtc_error_t {
80 uint8_t response_type;
81 uint8_t error_code;
82 uint16_t sequence;
83 } xcb_randr_bad_crtc_error_t;
84
86 #define XCB_RANDR_BAD_MODE 2
87
91 typedef struct xcb_randr_bad_mode_error_t {
92 uint8_t response_type;
93 uint8_t error_code;
94 uint16_t sequence;
95 } xcb_randr_bad_mode_error_t;
96
97 typedef enum xcb_randr_rotation_t {
98 XCB_RANDR_ROTATION_ROTATE_0 = 1,
99 XCB_RANDR_ROTATION_ROTATE_90 = 2,
100 XCB_RANDR_ROTATION_ROTATE_180 = 4,
101 XCB_RANDR_ROTATION_ROTATE_270 = 8,
102 XCB_RANDR_ROTATION_REFLECT_X = 16,
103 XCB_RANDR_ROTATION_REFLECT_Y = 32
104 } xcb_randr_rotation_t;
105
109 typedef struct xcb_randr_screen_size_t {
110 uint16_t width;
111 uint16_t height;
112 uint16_t mwidth;
113 uint16_t mheight;
114 } xcb_randr_screen_size_t;
115
119 typedef struct xcb_randr_screen_size_iterator_t {
120 xcb_randr_screen_size_t *data;
121 int rem;
122 int index;
123 } xcb_randr_screen_size_iterator_t;
124
128 typedef struct xcb_randr_refresh_rates_t {
129 uint16_t nRates;
130 } xcb_randr_refresh_rates_t;
131
135 typedef struct xcb_randr_refresh_rates_iterator_t {
136 xcb_randr_refresh_rates_t *data;
137 int rem;
138 int index;
139 } xcb_randr_refresh_rates_iterator_t;
140
144 typedef struct xcb_randr_query_version_cookie_t {
145 unsigned int sequence;
146 } xcb_randr_query_version_cookie_t;
147
149 #define XCB_RANDR_QUERY_VERSION 0
150
154 typedef struct xcb_randr_query_version_request_t {
155 uint8_t major_opcode;
156 uint8_t minor_opcode;
157 uint16_t length;
158 uint32_t major_version;
159 uint32_t minor_version;
160 } xcb_randr_query_version_request_t;
161
165 typedef struct xcb_randr_query_version_reply_t {
166 uint8_t response_type;
167 uint8_t pad0;
168 uint16_t sequence;
169 uint32_t length;
170 uint32_t major_version;
171 uint32_t minor_version;
172 uint8_t pad1[16];
173 } xcb_randr_query_version_reply_t;
174
175 typedef enum xcb_randr_set_config_t {
176 XCB_RANDR_SET_CONFIG_SUCCESS = 0,
177 XCB_RANDR_SET_CONFIG_INVALID_CONFIG_TIME = 1,
178 XCB_RANDR_SET_CONFIG_INVALID_TIME = 2,
179 XCB_RANDR_SET_CONFIG_FAILED = 3
180 } xcb_randr_set_config_t;
181
185 typedef struct xcb_randr_set_screen_config_cookie_t {
186 unsigned int sequence;
187 } xcb_randr_set_screen_config_cookie_t;
188
190 #define XCB_RANDR_SET_SCREEN_CONFIG 2
191
195 typedef struct xcb_randr_set_screen_config_request_t {
196 uint8_t major_opcode;
197 uint8_t minor_opcode;
198 uint16_t length;
199 xcb_window_t window;
200 xcb_timestamp_t timestamp;
201 xcb_timestamp_t config_timestamp;
202 uint16_t sizeID;
203 uint16_t rotation;
204 uint16_t rate;
205 uint8_t pad0[2];
206 } xcb_randr_set_screen_config_request_t;
207
211 typedef struct xcb_randr_set_screen_config_reply_t {
212 uint8_t response_type;
213 uint8_t status;
214 uint16_t sequence;
215 uint32_t length;
216 xcb_timestamp_t new_timestamp;
217 xcb_timestamp_t config_timestamp;
218 xcb_window_t root;
219 uint16_t subpixel_order;
220 uint8_t pad0[10];
221 } xcb_randr_set_screen_config_reply_t;
222
223 typedef enum xcb_randr_notify_mask_t {
224 XCB_RANDR_NOTIFY_MASK_SCREEN_CHANGE = 1,
225 XCB_RANDR_NOTIFY_MASK_CRTC_CHANGE = 2,
226 XCB_RANDR_NOTIFY_MASK_OUTPUT_CHANGE = 4,
227 XCB_RANDR_NOTIFY_MASK_OUTPUT_PROPERTY = 8
228 } xcb_randr_notify_mask_t;
229
231 #define XCB_RANDR_SELECT_INPUT 4
232
236 typedef struct xcb_randr_select_input_request_t {
237 uint8_t major_opcode;
238 uint8_t minor_opcode;
239 uint16_t length;
240 xcb_window_t window;
241 uint16_t enable;
242 uint8_t pad0[2];
243 } xcb_randr_select_input_request_t;
244
248 typedef struct xcb_randr_get_screen_info_cookie_t {
249 unsigned int sequence;
250 } xcb_randr_get_screen_info_cookie_t;
251
253 #define XCB_RANDR_GET_SCREEN_INFO 5
254
258 typedef struct xcb_randr_get_screen_info_request_t {
259 uint8_t major_opcode;
260 uint8_t minor_opcode;
261 uint16_t length;
262 xcb_window_t window;
263 } xcb_randr_get_screen_info_request_t;
264
268 typedef struct xcb_randr_get_screen_info_reply_t {
269 uint8_t response_type;
270 uint8_t rotations;
271 uint16_t sequence;
272 uint32_t length;
273 xcb_window_t root;
274 xcb_timestamp_t timestamp;
275 xcb_timestamp_t config_timestamp;
276 uint16_t nSizes;
277 uint16_t sizeID;
278 uint16_t rotation;
279 uint16_t rate;
280 uint16_t nInfo;
281 uint8_t pad0[2];
282 } xcb_randr_get_screen_info_reply_t;
283
287 typedef struct xcb_randr_get_screen_size_range_cookie_t {
288 unsigned int sequence;
289 } xcb_randr_get_screen_size_range_cookie_t;
290
292 #define XCB_RANDR_GET_SCREEN_SIZE_RANGE 6
293
297 typedef struct xcb_randr_get_screen_size_range_request_t {
298 uint8_t major_opcode;
299 uint8_t minor_opcode;
300 uint16_t length;
301 xcb_window_t window;
302 } xcb_randr_get_screen_size_range_request_t;
303
307 typedef struct xcb_randr_get_screen_size_range_reply_t {
308 uint8_t response_type;
309 uint8_t pad0;
310 uint16_t sequence;
311 uint32_t length;
312 uint16_t min_width;
313 uint16_t min_height;
314 uint16_t max_width;
315 uint16_t max_height;
316 uint8_t pad1[16];
317 } xcb_randr_get_screen_size_range_reply_t;
318
320 #define XCB_RANDR_SET_SCREEN_SIZE 7
321
325 typedef struct xcb_randr_set_screen_size_request_t {
326 uint8_t major_opcode;
327 uint8_t minor_opcode;
328 uint16_t length;
329 xcb_window_t window;
330 uint16_t width;
331 uint16_t height;
332 uint32_t mm_width;
333 uint32_t mm_height;
334 } xcb_randr_set_screen_size_request_t;
335
336 typedef enum xcb_randr_mode_flag_t {
337 XCB_RANDR_MODE_FLAG_HSYNC_POSITIVE = 1,
338 XCB_RANDR_MODE_FLAG_HSYNC_NEGATIVE = 2,
339 XCB_RANDR_MODE_FLAG_VSYNC_POSITIVE = 4,
340 XCB_RANDR_MODE_FLAG_VSYNC_NEGATIVE = 8,
341 XCB_RANDR_MODE_FLAG_INTERLACE = 16,
342 XCB_RANDR_MODE_FLAG_DOUBLE_SCAN = 32,
343 XCB_RANDR_MODE_FLAG_CSYNC = 64,
344 XCB_RANDR_MODE_FLAG_CSYNC_POSITIVE = 128,
345 XCB_RANDR_MODE_FLAG_CSYNC_NEGATIVE = 256,
346 XCB_RANDR_MODE_FLAG_HSKEW_PRESENT = 512,
347 XCB_RANDR_MODE_FLAG_BCAST = 1024,
348 XCB_RANDR_MODE_FLAG_PIXEL_MULTIPLEX = 2048,
349 XCB_RANDR_MODE_FLAG_DOUBLE_CLOCK = 4096,
350 XCB_RANDR_MODE_FLAG_HALVE_CLOCK = 8192
351 } xcb_randr_mode_flag_t;
352
356 typedef struct xcb_randr_mode_info_t {
357 uint32_t id;
358 uint16_t width;
359 uint16_t height;
360 uint32_t dot_clock;
361 uint16_t hsync_start;
362 uint16_t hsync_end;
363 uint16_t htotal;
364 uint16_t hskew;
365 uint16_t vsync_start;
366 uint16_t vsync_end;
367 uint16_t vtotal;
368 uint16_t name_len;
369 uint32_t mode_flags;
370 } xcb_randr_mode_info_t;
371
375 typedef struct xcb_randr_mode_info_iterator_t {
376 xcb_randr_mode_info_t *data;
377 int rem;
378 int index;
379 } xcb_randr_mode_info_iterator_t;
380
384 typedef struct xcb_randr_get_screen_resources_cookie_t {
385 unsigned int sequence;
386 } xcb_randr_get_screen_resources_cookie_t;
387
389 #define XCB_RANDR_GET_SCREEN_RESOURCES 8
390
394 typedef struct xcb_randr_get_screen_resources_request_t {
395 uint8_t major_opcode;
396 uint8_t minor_opcode;
397 uint16_t length;
398 xcb_window_t window;
399 } xcb_randr_get_screen_resources_request_t;
400
404 typedef struct xcb_randr_get_screen_resources_reply_t {
405 uint8_t response_type;
406 uint8_t pad0;
407 uint16_t sequence;
408 uint32_t length;
409 xcb_timestamp_t timestamp;
410 xcb_timestamp_t config_timestamp;
411 uint16_t num_crtcs;
412 uint16_t num_outputs;
413 uint16_t num_modes;
414 uint16_t names_len;
415 uint8_t pad1[8];
416 } xcb_randr_get_screen_resources_reply_t;
417
418 typedef enum xcb_randr_connection_t {
419 XCB_RANDR_CONNECTION_CONNECTED,
420 XCB_RANDR_CONNECTION_DISCONNECTED,
421 XCB_RANDR_CONNECTION_UNKNOWN
422 } xcb_randr_connection_t;
423
427 typedef struct xcb_randr_get_output_info_cookie_t {
428 unsigned int sequence;
429 } xcb_randr_get_output_info_cookie_t;
430
432 #define XCB_RANDR_GET_OUTPUT_INFO 9
433
437 typedef struct xcb_randr_get_output_info_request_t {
438 uint8_t major_opcode;
439 uint8_t minor_opcode;
440 uint16_t length;
441 xcb_randr_output_t output;
442 xcb_timestamp_t config_timestamp;
443 } xcb_randr_get_output_info_request_t;
444
448 typedef struct xcb_randr_get_output_info_reply_t {
449 uint8_t response_type;
450 uint8_t status;
451 uint16_t sequence;
452 uint32_t length;
453 xcb_timestamp_t timestamp;
454 xcb_randr_crtc_t crtc;
455 uint32_t mm_width;
456 uint32_t mm_height;
457 uint8_t connection;
458 uint8_t subpixel_order;
459 uint16_t num_crtcs;
460 uint16_t num_modes;
461 uint16_t num_preferred;
462 uint16_t num_clones;
463 uint16_t name_len;
464 } xcb_randr_get_output_info_reply_t;
465
469 typedef struct xcb_randr_list_output_properties_cookie_t {
470 unsigned int sequence;
471 } xcb_randr_list_output_properties_cookie_t;
472
474 #define XCB_RANDR_LIST_OUTPUT_PROPERTIES 10
475
479 typedef struct xcb_randr_list_output_properties_request_t {
480 uint8_t major_opcode;
481 uint8_t minor_opcode;
482 uint16_t length;
483 xcb_randr_output_t output;
484 } xcb_randr_list_output_properties_request_t;
485
489 typedef struct xcb_randr_list_output_properties_reply_t {
490 uint8_t response_type;
491 uint8_t pad0;
492 uint16_t sequence;
493 uint32_t length;
494 uint16_t num_atoms;
495 uint8_t pad1[22];
496 } xcb_randr_list_output_properties_reply_t;
497
501 typedef struct xcb_randr_query_output_property_cookie_t {
502 unsigned int sequence;
503 } xcb_randr_query_output_property_cookie_t;
504
506 #define XCB_RANDR_QUERY_OUTPUT_PROPERTY 11
507
511 typedef struct xcb_randr_query_output_property_request_t {
512 uint8_t major_opcode;
513 uint8_t minor_opcode;
514 uint16_t length;
515 xcb_randr_output_t output;
516 xcb_atom_t property;
517 } xcb_randr_query_output_property_request_t;
518
522 typedef struct xcb_randr_query_output_property_reply_t {
523 uint8_t response_type;
524 uint8_t pad0;
525 uint16_t sequence;
526 uint32_t length;
527 uint8_t pending;
528 uint8_t range;
529 uint8_t immutable;
530 uint8_t pad1[21];
531 } xcb_randr_query_output_property_reply_t;
532
534 #define XCB_RANDR_CONFIGURE_OUTPUT_PROPERTY 12
535
539 typedef struct xcb_randr_configure_output_property_request_t {
540 uint8_t major_opcode;
541 uint8_t minor_opcode;
542 uint16_t length;
543 xcb_randr_output_t output;
544 xcb_atom_t property;
545 uint8_t pending;
546 uint8_t range;
547 uint8_t pad0[2];
548 } xcb_randr_configure_output_property_request_t;
549
551 #define XCB_RANDR_CHANGE_OUTPUT_PROPERTY 13
552
556 typedef struct xcb_randr_change_output_property_request_t {
557 uint8_t major_opcode;
558 uint8_t minor_opcode;
559 uint16_t length;
560 xcb_randr_output_t output;
561 xcb_atom_t property;
562 xcb_atom_t type;
563 uint8_t format;
564 uint8_t mode;
565 uint8_t pad0[2];
566 uint32_t num_units;
567 } xcb_randr_change_output_property_request_t;
568
570 #define XCB_RANDR_DELETE_OUTPUT_PROPERTY 14
571
575 typedef struct xcb_randr_delete_output_property_request_t {
576 uint8_t major_opcode;
577 uint8_t minor_opcode;
578 uint16_t length;
579 xcb_randr_output_t output;
580 xcb_atom_t property;
581 } xcb_randr_delete_output_property_request_t;
582
586 typedef struct xcb_randr_get_output_property_cookie_t {
587 unsigned int sequence;
588 } xcb_randr_get_output_property_cookie_t;
589
591 #define XCB_RANDR_GET_OUTPUT_PROPERTY 15
592
596 typedef struct xcb_randr_get_output_property_request_t {
597 uint8_t major_opcode;
598 uint8_t minor_opcode;
599 uint16_t length;
600 xcb_randr_output_t output;
601 xcb_atom_t property;
602 xcb_atom_t type;
603 uint32_t long_offset;
604 uint32_t long_length;
605 uint8_t _delete;
606 uint8_t pending;
607 uint8_t pad0[2];
608 } xcb_randr_get_output_property_request_t;
609
613 typedef struct xcb_randr_get_output_property_reply_t {
614 uint8_t response_type;
615 uint8_t format;
616 uint16_t sequence;
617 uint32_t length;
618 xcb_atom_t type;
619 uint32_t bytes_after;
620 uint32_t num_items;
621 uint8_t pad0[12];
622 } xcb_randr_get_output_property_reply_t;
623
627 typedef struct xcb_randr_create_mode_cookie_t {
628 unsigned int sequence;
629 } xcb_randr_create_mode_cookie_t;
630
632 #define XCB_RANDR_CREATE_MODE 16
633
637 typedef struct xcb_randr_create_mode_request_t {
638 uint8_t major_opcode;
639 uint8_t minor_opcode;
640 uint16_t length;
641 xcb_window_t window;
642 xcb_randr_mode_info_t mode_info;
643 } xcb_randr_create_mode_request_t;
644
648 typedef struct xcb_randr_create_mode_reply_t {
649 uint8_t response_type;
650 uint8_t pad0;
651 uint16_t sequence;
652 uint32_t length;
653 xcb_randr_mode_t mode;
654 uint8_t pad1[20];
655 } xcb_randr_create_mode_reply_t;
656
658 #define XCB_RANDR_DESTROY_MODE 17
659
663 typedef struct xcb_randr_destroy_mode_request_t {
664 uint8_t major_opcode;
665 uint8_t minor_opcode;
666 uint16_t length;
667 xcb_randr_mode_t mode;
668 } xcb_randr_destroy_mode_request_t;
669
671 #define XCB_RANDR_ADD_OUTPUT_MODE 18
672
676 typedef struct xcb_randr_add_output_mode_request_t {
677 uint8_t major_opcode;
678 uint8_t minor_opcode;
679 uint16_t length;
680 xcb_randr_output_t output;
681 xcb_randr_mode_t mode;
682 } xcb_randr_add_output_mode_request_t;
683
685 #define XCB_RANDR_DELETE_OUTPUT_MODE 19
686
690 typedef struct xcb_randr_delete_output_mode_request_t {
691 uint8_t major_opcode;
692 uint8_t minor_opcode;
693 uint16_t length;
694 xcb_randr_output_t output;
695 xcb_randr_mode_t mode;
696 } xcb_randr_delete_output_mode_request_t;
697
701 typedef struct xcb_randr_get_crtc_info_cookie_t {
702 unsigned int sequence;
703 } xcb_randr_get_crtc_info_cookie_t;
704
706 #define XCB_RANDR_GET_CRTC_INFO 20
707
711 typedef struct xcb_randr_get_crtc_info_request_t {
712 uint8_t major_opcode;
713 uint8_t minor_opcode;
714 uint16_t length;
715 xcb_randr_crtc_t crtc;
716 xcb_timestamp_t config_timestamp;
717 } xcb_randr_get_crtc_info_request_t;
718
722 typedef struct xcb_randr_get_crtc_info_reply_t {
723 uint8_t response_type;
724 uint8_t status;
725 uint16_t sequence;
726 uint32_t length;
727 xcb_timestamp_t timestamp;
728 int16_t x;
729 int16_t y;
730 uint16_t width;
731 uint16_t height;
732 xcb_randr_mode_t mode;
733 uint16_t rotation;
734 uint16_t rotations;
735 uint16_t num_outputs;
736 uint16_t num_possible_outputs;
737 } xcb_randr_get_crtc_info_reply_t;
738
742 typedef struct xcb_randr_set_crtc_config_cookie_t {
743 unsigned int sequence;
744 } xcb_randr_set_crtc_config_cookie_t;
745
747 #define XCB_RANDR_SET_CRTC_CONFIG 21
748
752 typedef struct xcb_randr_set_crtc_config_request_t {
753 uint8_t major_opcode;
754 uint8_t minor_opcode;
755 uint16_t length;
756 xcb_randr_crtc_t crtc;
757 xcb_timestamp_t timestamp;
758 xcb_timestamp_t config_timestamp;
759 int16_t x;
760 int16_t y;
761 xcb_randr_mode_t mode;
762 uint16_t rotation;
763 uint8_t pad0[2];
764 } xcb_randr_set_crtc_config_request_t;
765
769 typedef struct xcb_randr_set_crtc_config_reply_t {
770 uint8_t response_type;
771 uint8_t status;
772 uint16_t sequence;
773 uint32_t length;
774 xcb_timestamp_t timestamp;
775 uint8_t pad0[20];
776 } xcb_randr_set_crtc_config_reply_t;
777
781 typedef struct xcb_randr_get_crtc_gamma_size_cookie_t {
782 unsigned int sequence;
783 } xcb_randr_get_crtc_gamma_size_cookie_t;
784
786 #define XCB_RANDR_GET_CRTC_GAMMA_SIZE 22
787
791 typedef struct xcb_randr_get_crtc_gamma_size_request_t {
792 uint8_t major_opcode;
793 uint8_t minor_opcode;
794 uint16_t length;
795 xcb_randr_crtc_t crtc;
796 } xcb_randr_get_crtc_gamma_size_request_t;
797
801 typedef struct xcb_randr_get_crtc_gamma_size_reply_t {
802 uint8_t response_type;
803 uint8_t pad0;
804 uint16_t sequence;
805 uint32_t length;
806 uint16_t size;
807 uint8_t pad1[22];
808 } xcb_randr_get_crtc_gamma_size_reply_t;
809
813 typedef struct xcb_randr_get_crtc_gamma_cookie_t {
814 unsigned int sequence;
815 } xcb_randr_get_crtc_gamma_cookie_t;
816
818 #define XCB_RANDR_GET_CRTC_GAMMA 23
819
823 typedef struct xcb_randr_get_crtc_gamma_request_t {
824 uint8_t major_opcode;
825 uint8_t minor_opcode;
826 uint16_t length;
827 xcb_randr_crtc_t crtc;
828 } xcb_randr_get_crtc_gamma_request_t;
829
833 typedef struct xcb_randr_get_crtc_gamma_reply_t {
834 uint8_t response_type;
835 uint8_t pad0;
836 uint16_t sequence;
837 uint32_t length;
838 uint16_t size;
839 uint8_t pad1[22];
840 } xcb_randr_get_crtc_gamma_reply_t;
841
843 #define XCB_RANDR_SET_CRTC_GAMMA 24
844
848 typedef struct xcb_randr_set_crtc_gamma_request_t {
849 uint8_t major_opcode;
850 uint8_t minor_opcode;
851 uint16_t length;
852 xcb_randr_crtc_t crtc;
853 uint16_t size;
854 uint8_t pad0[2];
855 } xcb_randr_set_crtc_gamma_request_t;
856
860 typedef struct xcb_randr_get_screen_resources_current_cookie_t {
861 unsigned int sequence;
862 } xcb_randr_get_screen_resources_current_cookie_t;
863
865 #define XCB_RANDR_GET_SCREEN_RESOURCES_CURRENT 25
866
870 typedef struct xcb_randr_get_screen_resources_current_request_t {
871 uint8_t major_opcode;
872 uint8_t minor_opcode;
873 uint16_t length;
874 xcb_window_t window;
875 } xcb_randr_get_screen_resources_current_request_t;
876
880 typedef struct xcb_randr_get_screen_resources_current_reply_t {
881 uint8_t response_type;
882 uint8_t pad0;
883 uint16_t sequence;
884 uint32_t length;
885 xcb_timestamp_t timestamp;
886 xcb_timestamp_t config_timestamp;
887 uint16_t num_crtcs;
888 uint16_t num_outputs;
889 uint16_t num_modes;
890 uint16_t names_len;
891 uint8_t pad1[8];
892 } xcb_randr_get_screen_resources_current_reply_t;
893
895 #define XCB_RANDR_SET_CRTC_TRANSFORM 26
896
900 typedef struct xcb_randr_set_crtc_transform_request_t {
901 uint8_t major_opcode;
902 uint8_t minor_opcode;
903 uint16_t length;
904 xcb_randr_crtc_t crtc;
905 xcb_render_transform_t transform;
906 uint16_t filter_len;
907 uint8_t pad0[2];
908 } xcb_randr_set_crtc_transform_request_t;
909
913 typedef struct xcb_randr_get_crtc_transform_cookie_t {
914 unsigned int sequence;
915 } xcb_randr_get_crtc_transform_cookie_t;
916
918 #define XCB_RANDR_GET_CRTC_TRANSFORM 27
919
923 typedef struct xcb_randr_get_crtc_transform_request_t {
924 uint8_t major_opcode;
925 uint8_t minor_opcode;
926 uint16_t length;
927 xcb_randr_crtc_t crtc;
928 } xcb_randr_get_crtc_transform_request_t;
929
933 typedef struct xcb_randr_get_crtc_transform_reply_t {
934 uint8_t response_type;
935 uint8_t pad0;
936 uint16_t sequence;
937 uint32_t length;
938 xcb_render_transform_t pending_transform;
939 uint8_t has_transforms;
940 uint8_t pad1[3];
941 xcb_render_transform_t current_transform;
942 uint8_t pad2[4];
943 uint16_t pending_len;
944 uint16_t pending_nparams;
945 uint16_t current_len;
946 uint16_t current_nparams;
947 } xcb_randr_get_crtc_transform_reply_t;
948
952 typedef struct xcb_randr_get_panning_cookie_t {
953 unsigned int sequence;
954 } xcb_randr_get_panning_cookie_t;
955
957 #define XCB_RANDR_GET_PANNING 28
958
962 typedef struct xcb_randr_get_panning_request_t {
963 uint8_t major_opcode;
964 uint8_t minor_opcode;
965 uint16_t length;
966 xcb_randr_crtc_t crtc;
967 } xcb_randr_get_panning_request_t;
968
972 typedef struct xcb_randr_get_panning_reply_t {
973 uint8_t response_type;
974 uint8_t status;
975 uint16_t sequence;
976 uint32_t length;
977 xcb_timestamp_t timestamp;
978 uint16_t left;
979 uint16_t top;
980 uint16_t width;
981 uint16_t height;
982 uint16_t track_left;
983 uint16_t track_top;
984 uint16_t track_width;
985 uint16_t track_height;
986 int16_t border_left;
987 int16_t border_top;
988 int16_t border_right;
989 int16_t border_bottom;
990 } xcb_randr_get_panning_reply_t;
991
995 typedef struct xcb_randr_set_panning_cookie_t {
996 unsigned int sequence;
997 } xcb_randr_set_panning_cookie_t;
998
1000 #define XCB_RANDR_SET_PANNING 29
1001
1005 typedef struct xcb_randr_set_panning_request_t {
1006 uint8_t major_opcode;
1007 uint8_t minor_opcode;
1008 uint16_t length;
1009 xcb_randr_crtc_t crtc;
1010 xcb_timestamp_t timestamp;
1011 uint16_t left;
1012 uint16_t top;
1013 uint16_t width;
1014 uint16_t height;
1015 uint16_t track_left;
1016 uint16_t track_top;
1017 uint16_t track_width;
1018 uint16_t track_height;
1019 int16_t border_left;
1020 int16_t border_top;
1021 int16_t border_right;
1022 int16_t border_bottom;
1023 } xcb_randr_set_panning_request_t;
1024
1028 typedef struct xcb_randr_set_panning_reply_t {
1029 uint8_t response_type;
1030 uint8_t status;
1031 uint16_t sequence;
1032 uint32_t length;
1033 xcb_timestamp_t timestamp;
1034 } xcb_randr_set_panning_reply_t;
1035
1037 #define XCB_RANDR_SET_OUTPUT_PRIMARY 30
1038
1042 typedef struct xcb_randr_set_output_primary_request_t {
1043 uint8_t major_opcode;
1044 uint8_t minor_opcode;
1045 uint16_t length;
1046 xcb_window_t window;
1047 xcb_randr_output_t output;
1048 } xcb_randr_set_output_primary_request_t;
1049
1053 typedef struct xcb_randr_get_output_primary_cookie_t {
1054 unsigned int sequence;
1055 } xcb_randr_get_output_primary_cookie_t;
1056
1058 #define XCB_RANDR_GET_OUTPUT_PRIMARY 31
1059
1063 typedef struct xcb_randr_get_output_primary_request_t {
1064 uint8_t major_opcode;
1065 uint8_t minor_opcode;
1066 uint16_t length;
1067 xcb_window_t window;
1068 } xcb_randr_get_output_primary_request_t;
1069
1073 typedef struct xcb_randr_get_output_primary_reply_t {
1074 uint8_t response_type;
1075 uint8_t pad0;
1076 uint16_t sequence;
1077 uint32_t length;
1078 xcb_randr_output_t output;
1079 } xcb_randr_get_output_primary_reply_t;
1080
1082 #define XCB_RANDR_SCREEN_CHANGE_NOTIFY 0
1083
1087 typedef struct xcb_randr_screen_change_notify_event_t {
1088 uint8_t response_type;
1089 uint8_t rotation;
1090 uint16_t sequence;
1091 xcb_timestamp_t timestamp;
1092 xcb_timestamp_t config_timestamp;
1093 xcb_window_t root;
1094 xcb_window_t request_window;
1095 uint16_t sizeID;
1096 uint16_t subpixel_order;
1097 uint16_t width;
1098 uint16_t height;
1099 uint16_t mwidth;
1100 uint16_t mheight;
1101 } xcb_randr_screen_change_notify_event_t;
1102
1103 typedef enum xcb_randr_notify_t {
1104 XCB_RANDR_NOTIFY_CRTC_CHANGE = 0,
1105 XCB_RANDR_NOTIFY_OUTPUT_CHANGE = 1,
1106 XCB_RANDR_NOTIFY_OUTPUT_PROPERTY = 2
1107 } xcb_randr_notify_t;
1108
1112 typedef struct xcb_randr_crtc_change_t {
1113 xcb_timestamp_t timestamp;
1114 xcb_window_t window;
1115 xcb_randr_crtc_t crtc;
1116 xcb_randr_mode_t mode;
1117 uint16_t rotation;
1118 uint8_t pad0[2];
1119 int16_t x;
1120 int16_t y;
1121 uint16_t width;
1122 uint16_t height;
1123 } xcb_randr_crtc_change_t;
1124
1128 typedef struct xcb_randr_crtc_change_iterator_t {
1129 xcb_randr_crtc_change_t *data;
1130 int rem;
1131 int index;
1132 } xcb_randr_crtc_change_iterator_t;
1133
1137 typedef struct xcb_randr_output_change_t {
1138 xcb_timestamp_t timestamp;
1139 xcb_timestamp_t config_timestamp;
1140 xcb_window_t window;
1141 xcb_randr_output_t output;
1142 xcb_randr_crtc_t crtc;
1143 xcb_randr_mode_t mode;
1144 uint16_t rotation;
1145 uint8_t connection;
1146 uint8_t subpixel_order;
1147 } xcb_randr_output_change_t;
1148
1152 typedef struct xcb_randr_output_change_iterator_t {
1153 xcb_randr_output_change_t *data;
1154 int rem;
1155 int index;
1156 } xcb_randr_output_change_iterator_t;
1157
1161 typedef struct xcb_randr_output_property_t {
1162 xcb_window_t window;
1163 xcb_randr_output_t output;
1164 xcb_atom_t atom;
1165 xcb_timestamp_t timestamp;
1166 uint8_t status;
1167 uint8_t pad0[11];
1168 } xcb_randr_output_property_t;
1169
1173 typedef struct xcb_randr_output_property_iterator_t {
1174 xcb_randr_output_property_t *data;
1175 int rem;
1176 int index;
1177 } xcb_randr_output_property_iterator_t;
1178
1182 typedef union xcb_randr_notify_data_t {
1183 xcb_randr_crtc_change_t cc;
1184 xcb_randr_output_change_t oc;
1185 xcb_randr_output_property_t op;
1186 } xcb_randr_notify_data_t;
1187
1191 typedef struct xcb_randr_notify_data_iterator_t {
1192 xcb_randr_notify_data_t *data;
1193 int rem;
1194 int index;
1195 } xcb_randr_notify_data_iterator_t;
1196
1198 #define XCB_RANDR_NOTIFY 1
1199
1203 typedef struct xcb_randr_notify_event_t {
1204 uint8_t response_type;
1205 uint8_t subCode;
1206 uint16_t sequence;
1207 xcb_randr_notify_data_t u;
1208 } xcb_randr_notify_event_t;
1209
1219 /*****************************************************************************
1220 **
1221 ** void xcb_randr_mode_next
1222 **
1223 ** @param xcb_randr_mode_iterator_t *i
1224 ** @returns void
1225 **
1226 *****************************************************************************/
1227
1228 void
1229 xcb_randr_mode_next (xcb_randr_mode_iterator_t *i );
1230
1241 /*****************************************************************************
1242 **
1243 ** xcb_generic_iterator_t xcb_randr_mode_end
1244 **
1245 ** @param xcb_randr_mode_iterator_t i
1246 ** @returns xcb_generic_iterator_t
1247 **
1248 *****************************************************************************/
1249
1250 xcb_generic_iterator_t
1251 xcb_randr_mode_end (xcb_randr_mode_iterator_t i );
1252
1262 /*****************************************************************************
1263 **
1264 ** void xcb_randr_crtc_next
1265 **
1266 ** @param xcb_randr_crtc_iterator_t *i
1267 ** @returns void
1268 **
1269 *****************************************************************************/
1270
1271 void
1272 xcb_randr_crtc_next (xcb_randr_crtc_iterator_t *i );
1273
1284 /*****************************************************************************
1285 **
1286 ** xcb_generic_iterator_t xcb_randr_crtc_end
1287 **
1288 ** @param xcb_randr_crtc_iterator_t i
1289 ** @returns xcb_generic_iterator_t
1290 **
1291 *****************************************************************************/
1292
1293 xcb_generic_iterator_t
1294 xcb_randr_crtc_end (xcb_randr_crtc_iterator_t i );
1295
1305 /*****************************************************************************
1306 **
1307 ** void xcb_randr_output_next
1308 **
1309 ** @param xcb_randr_output_iterator_t *i
1310 ** @returns void
1311 **
1312 *****************************************************************************/
1313
1314 void
1315 xcb_randr_output_next (xcb_randr_output_iterator_t *i );
1316
1327 /*****************************************************************************
1328 **
1329 ** xcb_generic_iterator_t xcb_randr_output_end
1330 **
1331 ** @param xcb_randr_output_iterator_t i
1332 ** @returns xcb_generic_iterator_t
1333 **
1334 *****************************************************************************/
1335
1336 xcb_generic_iterator_t
1337 xcb_randr_output_end (xcb_randr_output_iterator_t i );
1338
1348 /*****************************************************************************
1349 **
1350 ** void xcb_randr_screen_size_next
1351 **
1352 ** @param xcb_randr_screen_size_iterator_t *i
1353 ** @returns void
1354 **
1355 *****************************************************************************/
1356
1357 void
1358 xcb_randr_screen_size_next (xcb_randr_screen_size_iterator_t *i );
1359
1370 /*****************************************************************************
1371 **
1372 ** xcb_generic_iterator_t xcb_randr_screen_size_end
1373 **
1374 ** @param xcb_randr_screen_size_iterator_t i
1375 ** @returns xcb_generic_iterator_t
1376 **
1377 *****************************************************************************/
1378
1379 xcb_generic_iterator_t
1380 xcb_randr_screen_size_end (xcb_randr_screen_size_iterator_t i );
1381
1382 int
1383 xcb_randr_refresh_rates_sizeof (const void *_buffer );
1384
1385
1386 /*****************************************************************************
1387 **
1388 ** uint16_t * xcb_randr_refresh_rates_rates
1389 **
1390 ** @param const xcb_randr_refresh_rates_t *R
1391 ** @returns uint16_t *
1392 **
1393 *****************************************************************************/
1394
1395 uint16_t *
1396 xcb_randr_refresh_rates_rates (const xcb_randr_refresh_rates_t *R );
1397
1398
1399 /*****************************************************************************
1400 **
1401 ** int xcb_randr_refresh_rates_rates_length
1402 **
1403 ** @param const xcb_randr_refresh_rates_t *R
1404 ** @returns int
1405 **
1406 *****************************************************************************/
1407
1408 int
1409 xcb_randr_refresh_rates_rates_length (const xcb_randr_refresh_rates_t *R );
1410
1411
1412 /*****************************************************************************
1413 **
1414 ** xcb_generic_iterator_t xcb_randr_refresh_rates_rates_end
1415 **
1416 ** @param const xcb_randr_refresh_rates_t *R
1417 ** @returns xcb_generic_iterator_t
1418 **
1419 *****************************************************************************/
1420
1421 xcb_generic_iterator_t
1422 xcb_randr_refresh_rates_rates_end (const xcb_randr_refresh_rates_t *R );
1423
1433 /*****************************************************************************
1434 **
1435 ** void xcb_randr_refresh_rates_next
1436 **
1437 ** @param xcb_randr_refresh_rates_iterator_t *i
1438 ** @returns void
1439 **
1440 *****************************************************************************/
1441
1442 void
1443 xcb_randr_refresh_rates_next (xcb_randr_refresh_rates_iterator_t *i );
1444
1455 /*****************************************************************************
1456 **
1457 ** xcb_generic_iterator_t xcb_randr_refresh_rates_end
1458 **
1459 ** @param xcb_randr_refresh_rates_iterator_t i
1460 ** @returns xcb_generic_iterator_t
1461 **
1462 *****************************************************************************/
1463
1464 xcb_generic_iterator_t
1465 xcb_randr_refresh_rates_end (xcb_randr_refresh_rates_iterator_t i );
1466
1476 /*****************************************************************************
1477 **
1478 ** xcb_randr_query_version_cookie_t xcb_randr_query_version
1479 **
1480 ** @param xcb_connection_t *c
1481 ** @param uint32_t major_version
1482 ** @param uint32_t minor_version
1483 ** @returns xcb_randr_query_version_cookie_t
1484 **
1485 *****************************************************************************/
1486
1487 xcb_randr_query_version_cookie_t
1488 xcb_randr_query_version (xcb_connection_t *c ,
1489 uint32_t major_version ,
1490 uint32_t minor_version );
1491
1504 /*****************************************************************************
1505 **
1506 ** xcb_randr_query_version_cookie_t xcb_randr_query_version_unchecked
1507 **
1508 ** @param xcb_connection_t *c
1509 ** @param uint32_t major_version
1510 ** @param uint32_t minor_version
1511 ** @returns xcb_randr_query_version_cookie_t
1512 **
1513 *****************************************************************************/
1514
1515 xcb_randr_query_version_cookie_t
1516 xcb_randr_query_version_unchecked (xcb_connection_t *c ,
1517 uint32_t major_version ,
1518 uint32_t minor_version );
1519
1535 /*****************************************************************************
1536 **
1537 ** xcb_randr_query_version_reply_t * xcb_randr_query_version_reply
1538 **
1539 ** @param xcb_connection_t *c
1540 ** @param xcb_randr_query_version_cookie_t cookie
1541 ** @param xcb_generic_error_t **e
1542 ** @returns xcb_randr_query_version_reply_t *
1543 **
1544 *****************************************************************************/
1545
1546 xcb_randr_query_version_reply_t *
1547 xcb_randr_query_version_reply (xcb_connection_t *c ,
1548 xcb_randr_query_version_cookie_t cookie ,
1549 xcb_generic_error_t **e );
1550
1560 /*****************************************************************************
1561 **
1562 ** xcb_randr_set_screen_config_cookie_t xcb_randr_set_screen_config
1563 **
1564 ** @param xcb_connection_t *c
1565 ** @param xcb_window_t window
1566 ** @param xcb_timestamp_t timestamp
1567 ** @param xcb_timestamp_t config_timestamp
1568 ** @param uint16_t sizeID
1569 ** @param uint16_t rotation
1570 ** @param uint16_t rate
1571 ** @returns xcb_randr_set_screen_config_cookie_t
1572 **
1573 *****************************************************************************/
1574
1575 xcb_randr_set_screen_config_cookie_t
1576 xcb_randr_set_screen_config (xcb_connection_t *c ,
1577 xcb_window_t window ,
1578 xcb_timestamp_t timestamp ,
1579 xcb_timestamp_t config_timestamp ,
1580 uint16_t sizeID ,
1581 uint16_t rotation ,
1582 uint16_t rate );
1583
1596 /*****************************************************************************
1597 **
1598 ** xcb_randr_set_screen_config_cookie_t xcb_randr_set_screen_config_unchecked
1599 **
1600 ** @param xcb_connection_t *c
1601 ** @param xcb_window_t window
1602 ** @param xcb_timestamp_t timestamp
1603 ** @param xcb_timestamp_t config_timestamp
1604 ** @param uint16_t sizeID
1605 ** @param uint16_t rotation
1606 ** @param uint16_t rate
1607 ** @returns xcb_randr_set_screen_config_cookie_t
1608 **
1609 *****************************************************************************/
1610
1611 xcb_randr_set_screen_config_cookie_t
1612 xcb_randr_set_screen_config_unchecked (xcb_connection_t *c ,
1613 xcb_window_t window ,
1614 xcb_timestamp_t timestamp ,
1615 xcb_timestamp_t config_timestamp ,
1616 uint16_t sizeID ,
1617 uint16_t rotation ,
1618 uint16_t rate );
1619
1635 /*****************************************************************************
1636 **
1637 ** xcb_randr_set_screen_config_reply_t * xcb_randr_set_screen_config_reply
1638 **
1639 ** @param xcb_connection_t *c
1640 ** @param xcb_randr_set_screen_config_cookie_t cookie
1641 ** @param xcb_generic_error_t **e
1642 ** @returns xcb_randr_set_screen_config_reply_t *
1643 **
1644 *****************************************************************************/
1645
1646 xcb_randr_set_screen_config_reply_t *
1647 xcb_randr_set_screen_config_reply (xcb_connection_t *c ,
1648 xcb_randr_set_screen_config_cookie_t cookie ,
1649 xcb_generic_error_t **e );
1650
1663 /*****************************************************************************
1664 **
1665 ** xcb_void_cookie_t xcb_randr_select_input_checked
1666 **
1667 ** @param xcb_connection_t *c
1668 ** @param xcb_window_t window
1669 ** @param uint16_t enable
1670 ** @returns xcb_void_cookie_t
1671 **
1672 *****************************************************************************/
1673
1674 xcb_void_cookie_t
1675 xcb_randr_select_input_checked (xcb_connection_t *c ,
1676 xcb_window_t window ,
1677 uint16_t enable );
1678
1688 /*****************************************************************************
1689 **
1690 ** xcb_void_cookie_t xcb_randr_select_input
1691 **
1692 ** @param xcb_connection_t *c
1693 ** @param xcb_window_t window
1694 ** @param uint16_t enable
1695 ** @returns xcb_void_cookie_t
1696 **
1697 *****************************************************************************/
1698
1699 xcb_void_cookie_t
1700 xcb_randr_select_input (xcb_connection_t *c ,
1701 xcb_window_t window ,
1702 uint16_t enable );
1703
1704 int
1705 xcb_randr_get_screen_info_sizeof (const void *_buffer );
1706
1716 /*****************************************************************************
1717 **
1718 ** xcb_randr_get_screen_info_cookie_t xcb_randr_get_screen_info
1719 **
1720 ** @param xcb_connection_t *c
1721 ** @param xcb_window_t window
1722 ** @returns xcb_randr_get_screen_info_cookie_t
1723 **
1724 *****************************************************************************/
1725
1726 xcb_randr_get_screen_info_cookie_t
1727 xcb_randr_get_screen_info (xcb_connection_t *c ,
1728 xcb_window_t window );
1729
1742 /*****************************************************************************
1743 **
1744 ** xcb_randr_get_screen_info_cookie_t xcb_randr_get_screen_info_unchecked
1745 **
1746 ** @param xcb_connection_t *c
1747 ** @param xcb_window_t window
1748 ** @returns xcb_randr_get_screen_info_cookie_t
1749 **
1750 *****************************************************************************/
1751
1752 xcb_randr_get_screen_info_cookie_t
1753 xcb_randr_get_screen_info_unchecked (xcb_connection_t *c ,
1754 xcb_window_t window );
1755
1756
1757 /*****************************************************************************
1758 **
1759 ** xcb_randr_screen_size_t * xcb_randr_get_screen_info_sizes
1760 **
1761 ** @param const xcb_randr_get_screen_info_reply_t *R
1762 ** @returns xcb_randr_screen_size_t *
1763 **
1764 *****************************************************************************/
1765
1766 xcb_randr_screen_size_t *
1767 xcb_randr_get_screen_info_sizes (const xcb_randr_get_screen_info_reply_t *R );
1768
1769
1770 /*****************************************************************************
1771 **
1772 ** int xcb_randr_get_screen_info_sizes_length
1773 **
1774 ** @param const xcb_randr_get_screen_info_reply_t *R
1775 ** @returns int
1776 **
1777 *****************************************************************************/
1778
1779 int
1780 xcb_randr_get_screen_info_sizes_length (const xcb_randr_get_screen_info_reply_t *R );
1781
1782
1783 /*****************************************************************************
1784 **
1785 ** xcb_randr_screen_size_iterator_t xcb_randr_get_screen_info_sizes_iterator
1786 **
1787 ** @param const xcb_randr_get_screen_info_reply_t *R
1788 ** @returns xcb_randr_screen_size_iterator_t
1789 **
1790 *****************************************************************************/
1791
1792 xcb_randr_screen_size_iterator_t
1793 xcb_randr_get_screen_info_sizes_iterator (const xcb_randr_get_screen_info_reply_t *R );
1794
1795
1796 /*****************************************************************************
1797 **
1798 ** int xcb_randr_get_screen_info_rates_length
1799 **
1800 ** @param const xcb_randr_get_screen_info_reply_t *R
1801 ** @returns int
1802 **
1803 *****************************************************************************/
1804
1805 int
1806 xcb_randr_get_screen_info_rates_length (const xcb_randr_get_screen_info_reply_t *R );
1807
1808
1809 /*****************************************************************************
1810 **
1811 ** xcb_randr_refresh_rates_iterator_t xcb_randr_get_screen_info_rates_iterator
1812 **
1813 ** @param const xcb_randr_get_screen_info_reply_t *R
1814 ** @returns xcb_randr_refresh_rates_iterator_t
1815 **
1816 *****************************************************************************/
1817
1818 xcb_randr_refresh_rates_iterator_t
1819 xcb_randr_get_screen_info_rates_iterator (const xcb_randr_get_screen_info_reply_t *R );
1820
1836 /*****************************************************************************
1837 **
1838 ** xcb_randr_get_screen_info_reply_t * xcb_randr_get_screen_info_reply
1839 **
1840 ** @param xcb_connection_t *c
1841 ** @param xcb_randr_get_screen_info_cookie_t cookie
1842 ** @param xcb_generic_error_t **e
1843 ** @returns xcb_randr_get_screen_info_reply_t *
1844 **
1845 *****************************************************************************/
1846
1847 xcb_randr_get_screen_info_reply_t *
1848 xcb_randr_get_screen_info_reply (xcb_connection_t *c ,
1849 xcb_randr_get_screen_info_cookie_t cookie ,
1850 xcb_generic_error_t **e );
1851
1861 /*****************************************************************************
1862 **
1863 ** xcb_randr_get_screen_size_range_cookie_t xcb_randr_get_screen_size_range
1864 **
1865 ** @param xcb_connection_t *c
1866 ** @param xcb_window_t window
1867 ** @returns xcb_randr_get_screen_size_range_cookie_t
1868 **
1869 *****************************************************************************/
1870
1871 xcb_randr_get_screen_size_range_cookie_t
1872 xcb_randr_get_screen_size_range (xcb_connection_t *c ,
1873 xcb_window_t window );
1874
1887 /*****************************************************************************
1888 **
1889 ** xcb_randr_get_screen_size_range_cookie_t xcb_randr_get_screen_size_range_unchecked
1890 **
1891 ** @param xcb_connection_t *c
1892 ** @param xcb_window_t window
1893 ** @returns xcb_randr_get_screen_size_range_cookie_t
1894 **
1895 *****************************************************************************/
1896
1897 xcb_randr_get_screen_size_range_cookie_t
1898 xcb_randr_get_screen_size_range_unchecked (xcb_connection_t *c ,
1899 xcb_window_t window );
1900
1916 /*****************************************************************************
1917 **
1918 ** xcb_randr_get_screen_size_range_reply_t * xcb_randr_get_screen_size_range_reply
1919 **
1920 ** @param xcb_connection_t *c
1921 ** @param xcb_randr_get_screen_size_range_cookie_t cookie
1922 ** @param xcb_generic_error_t **e
1923 ** @returns xcb_randr_get_screen_size_range_reply_t *
1924 **
1925 *****************************************************************************/
1926
1927 xcb_randr_get_screen_size_range_reply_t *
1928 xcb_randr_get_screen_size_range_reply (xcb_connection_t *c ,
1929 xcb_randr_get_screen_size_range_cookie_t cookie ,
1930 xcb_generic_error_t **e );
1931
1944 /*****************************************************************************
1945 **
1946 ** xcb_void_cookie_t xcb_randr_set_screen_size_checked
1947 **
1948 ** @param xcb_connection_t *c
1949 ** @param xcb_window_t window
1950 ** @param uint16_t width
1951 ** @param uint16_t height
1952 ** @param uint32_t mm_width
1953 ** @param uint32_t mm_height
1954 ** @returns xcb_void_cookie_t
1955 **
1956 *****************************************************************************/
1957
1958 xcb_void_cookie_t
1959 xcb_randr_set_screen_size_checked (xcb_connection_t *c ,
1960 xcb_window_t window ,
1961 uint16_t width ,
1962 uint16_t height ,
1963 uint32_t mm_width ,
1964 uint32_t mm_height );
1965
1975 /*****************************************************************************
1976 **
1977 ** xcb_void_cookie_t xcb_randr_set_screen_size
1978 **
1979 ** @param xcb_connection_t *c
1980 ** @param xcb_window_t window
1981 ** @param uint16_t width
1982 ** @param uint16_t height
1983 ** @param uint32_t mm_width
1984 ** @param uint32_t mm_height
1985 ** @returns xcb_void_cookie_t
1986 **
1987 *****************************************************************************/
1988
1989 xcb_void_cookie_t
1990 xcb_randr_set_screen_size (xcb_connection_t *c ,
1991 xcb_window_t window ,
1992 uint16_t width ,
1993 uint16_t height ,
1994 uint32_t mm_width ,
1995 uint32_t mm_height );
1996
2006 /*****************************************************************************
2007 **
2008 ** void xcb_randr_mode_info_next
2009 **
2010 ** @param xcb_randr_mode_info_iterator_t *i
2011 ** @returns void
2012 **
2013 *****************************************************************************/
2014
2015 void
2016 xcb_randr_mode_info_next (xcb_randr_mode_info_iterator_t *i );
2017
2028 /*****************************************************************************
2029 **
2030 ** xcb_generic_iterator_t xcb_randr_mode_info_end
2031 **
2032 ** @param xcb_randr_mode_info_iterator_t i
2033 ** @returns xcb_generic_iterator_t
2034 **
2035 *****************************************************************************/
2036
2037 xcb_generic_iterator_t
2038 xcb_randr_mode_info_end (xcb_randr_mode_info_iterator_t i );
2039
2040 int
2041 xcb_randr_get_screen_resources_sizeof (const void *_buffer );
2042
2052 /*****************************************************************************
2053 **
2054 ** xcb_randr_get_screen_resources_cookie_t xcb_randr_get_screen_resources
2055 **
2056 ** @param xcb_connection_t *c
2057 ** @param xcb_window_t window
2058 ** @returns xcb_randr_get_screen_resources_cookie_t
2059 **
2060 *****************************************************************************/
2061
2062 xcb_randr_get_screen_resources_cookie_t
2063 xcb_randr_get_screen_resources (xcb_connection_t *c ,
2064 xcb_window_t window );
2065
2078 /*****************************************************************************
2079 **
2080 ** xcb_randr_get_screen_resources_cookie_t xcb_randr_get_screen_resources_unchecked
2081 **
2082 ** @param xcb_connection_t *c
2083 ** @param xcb_window_t window
2084 ** @returns xcb_randr_get_screen_resources_cookie_t
2085 **
2086 *****************************************************************************/
2087
2088 xcb_randr_get_screen_resources_cookie_t
2089 xcb_randr_get_screen_resources_unchecked (xcb_connection_t *c ,
2090 xcb_window_t window );
2091
2092
2093 /*****************************************************************************
2094 **
2095 ** xcb_randr_crtc_t * xcb_randr_get_screen_resources_crtcs
2096 **
2097 ** @param const xcb_randr_get_screen_resources_reply_t *R
2098 ** @returns xcb_randr_crtc_t *
2099 **
2100 *****************************************************************************/
2101
2102 xcb_randr_crtc_t *
2103 xcb_randr_get_screen_resources_crtcs (const xcb_randr_get_screen_resources_reply_t *R );
2104
2105
2106 /*****************************************************************************
2107 **
2108 ** int xcb_randr_get_screen_resources_crtcs_length
2109 **
2110 ** @param const xcb_randr_get_screen_resources_reply_t *R
2111 ** @returns int
2112 **
2113 *****************************************************************************/
2114
2115 int
2116 xcb_randr_get_screen_resources_crtcs_length (const xcb_randr_get_screen_resources_reply_t *R );
2117
2118
2119 /*****************************************************************************
2120 **
2121 ** xcb_generic_iterator_t xcb_randr_get_screen_resources_crtcs_end
2122 **
2123 ** @param const xcb_randr_get_screen_resources_reply_t *R
2124 ** @returns xcb_generic_iterator_t
2125 **
2126 *****************************************************************************/
2127
2128 xcb_generic_iterator_t
2129 xcb_randr_get_screen_resources_crtcs_end (const xcb_randr_get_screen_resources_reply_t *R );
2130
2131
2132 /*****************************************************************************
2133 **
2134 ** xcb_randr_output_t * xcb_randr_get_screen_resources_outputs
2135 **
2136 ** @param const xcb_randr_get_screen_resources_reply_t *R
2137 ** @returns xcb_randr_output_t *
2138 **
2139 *****************************************************************************/
2140
2141 xcb_randr_output_t *
2142 xcb_randr_get_screen_resources_outputs (const xcb_randr_get_screen_resources_reply_t *R );
2143
2144
2145 /*****************************************************************************
2146 **
2147 ** int xcb_randr_get_screen_resources_outputs_length
2148 **
2149 ** @param const xcb_randr_get_screen_resources_reply_t *R
2150 ** @returns int
2151 **
2152 *****************************************************************************/
2153
2154 int
2155 xcb_randr_get_screen_resources_outputs_length (const xcb_randr_get_screen_resources_reply_t *R );
2156
2157
2158 /*****************************************************************************
2159 **
2160 ** xcb_generic_iterator_t xcb_randr_get_screen_resources_outputs_end
2161 **
2162 ** @param const xcb_randr_get_screen_resources_reply_t *R
2163 ** @returns xcb_generic_iterator_t
2164 **
2165 *****************************************************************************/
2166
2167 xcb_generic_iterator_t
2168 xcb_randr_get_screen_resources_outputs_end (const xcb_randr_get_screen_resources_reply_t *R );
2169
2170
2171 /*****************************************************************************
2172 **
2173 ** xcb_randr_mode_info_t * xcb_randr_get_screen_resources_modes
2174 **
2175 ** @param const xcb_randr_get_screen_resources_reply_t *R
2176 ** @returns xcb_randr_mode_info_t *
2177 **
2178 *****************************************************************************/
2179
2180 xcb_randr_mode_info_t *
2181 xcb_randr_get_screen_resources_modes (const xcb_randr_get_screen_resources_reply_t *R );
2182
2183
2184 /*****************************************************************************
2185 **
2186 ** int xcb_randr_get_screen_resources_modes_length
2187 **
2188 ** @param const xcb_randr_get_screen_resources_reply_t *R
2189 ** @returns int
2190 **
2191 *****************************************************************************/
2192
2193 int
2194 xcb_randr_get_screen_resources_modes_length (const xcb_randr_get_screen_resources_reply_t *R );
2195
2196
2197 /*****************************************************************************
2198 **
2199 ** xcb_randr_mode_info_iterator_t xcb_randr_get_screen_resources_modes_iterator
2200 **
2201 ** @param const xcb_randr_get_screen_resources_reply_t *R
2202 ** @returns xcb_randr_mode_info_iterator_t
2203 **
2204 *****************************************************************************/
2205
2206 xcb_randr_mode_info_iterator_t
2207 xcb_randr_get_screen_resources_modes_iterator (const xcb_randr_get_screen_resources_reply_t *R );
2208
2209
2210 /*****************************************************************************
2211 **
2212 ** uint8_t * xcb_randr_get_screen_resources_names
2213 **
2214 ** @param const xcb_randr_get_screen_resources_reply_t *R
2215 ** @returns uint8_t *
2216 **
2217 *****************************************************************************/
2218
2219 uint8_t *
2220 xcb_randr_get_screen_resources_names (const xcb_randr_get_screen_resources_reply_t *R );
2221
2222
2223 /*****************************************************************************
2224 **
2225 ** int xcb_randr_get_screen_resources_names_length
2226 **
2227 ** @param const xcb_randr_get_screen_resources_reply_t *R
2228 ** @returns int
2229 **
2230 *****************************************************************************/
2231
2232 int
2233 xcb_randr_get_screen_resources_names_length (const xcb_randr_get_screen_resources_reply_t *R );
2234
2235
2236 /*****************************************************************************
2237 **
2238 ** xcb_generic_iterator_t xcb_randr_get_screen_resources_names_end
2239 **
2240 ** @param const xcb_randr_get_screen_resources_reply_t *R
2241 ** @returns xcb_generic_iterator_t
2242 **
2243 *****************************************************************************/
2244
2245 xcb_generic_iterator_t
2246 xcb_randr_get_screen_resources_names_end (const xcb_randr_get_screen_resources_reply_t *R );
2247
2263 /*****************************************************************************
2264 **
2265 ** xcb_randr_get_screen_resources_reply_t * xcb_randr_get_screen_resources_reply
2266 **
2267 ** @param xcb_connection_t *c
2268 ** @param xcb_randr_get_screen_resources_cookie_t cookie
2269 ** @param xcb_generic_error_t **e
2270 ** @returns xcb_randr_get_screen_resources_reply_t *
2271 **
2272 *****************************************************************************/
2273
2274 xcb_randr_get_screen_resources_reply_t *
2275 xcb_randr_get_screen_resources_reply (xcb_connection_t *c ,
2276 xcb_randr_get_screen_resources_cookie_t cookie ,
2277 xcb_generic_error_t **e );
2278
2279 int
2280 xcb_randr_get_output_info_sizeof (const void *_buffer );
2281
2291 /*****************************************************************************
2292 **
2293 ** xcb_randr_get_output_info_cookie_t xcb_randr_get_output_info
2294 **
2295 ** @param xcb_connection_t *c
2296 ** @param xcb_randr_output_t output
2297 ** @param xcb_timestamp_t config_timestamp
2298 ** @returns xcb_randr_get_output_info_cookie_t
2299 **
2300 *****************************************************************************/
2301
2302 xcb_randr_get_output_info_cookie_t
2303 xcb_randr_get_output_info (xcb_connection_t *c ,
2304 xcb_randr_output_t output ,
2305 xcb_timestamp_t config_timestamp );
2306
2319 /*****************************************************************************
2320 **
2321 ** xcb_randr_get_output_info_cookie_t xcb_randr_get_output_info_unchecked
2322 **
2323 ** @param xcb_connection_t *c
2324 ** @param xcb_randr_output_t output
2325 ** @param xcb_timestamp_t config_timestamp
2326 ** @returns xcb_randr_get_output_info_cookie_t
2327 **
2328 *****************************************************************************/
2329
2330 xcb_randr_get_output_info_cookie_t
2331 xcb_randr_get_output_info_unchecked (xcb_connection_t *c ,
2332 xcb_randr_output_t output ,
2333 xcb_timestamp_t config_timestamp );
2334
2335
2336 /*****************************************************************************
2337 **
2338 ** xcb_randr_crtc_t * xcb_randr_get_output_info_crtcs
2339 **
2340 ** @param const xcb_randr_get_output_info_reply_t *R
2341 ** @returns xcb_randr_crtc_t *
2342 **
2343 *****************************************************************************/
2344
2345 xcb_randr_crtc_t *
2346 xcb_randr_get_output_info_crtcs (const xcb_randr_get_output_info_reply_t *R );
2347
2348
2349 /*****************************************************************************
2350 **
2351 ** int xcb_randr_get_output_info_crtcs_length
2352 **
2353 ** @param const xcb_randr_get_output_info_reply_t *R
2354 ** @returns int
2355 **
2356 *****************************************************************************/
2357
2358 int
2359 xcb_randr_get_output_info_crtcs_length (const xcb_randr_get_output_info_reply_t *R );
2360
2361
2362 /*****************************************************************************
2363 **
2364 ** xcb_generic_iterator_t xcb_randr_get_output_info_crtcs_end
2365 **
2366 ** @param const xcb_randr_get_output_info_reply_t *R
2367 ** @returns xcb_generic_iterator_t
2368 **
2369 *****************************************************************************/
2370
2371 xcb_generic_iterator_t
2372 xcb_randr_get_output_info_crtcs_end (const xcb_randr_get_output_info_reply_t *R );
2373
2374
2375 /*****************************************************************************
2376 **
2377 ** xcb_randr_mode_t * xcb_randr_get_output_info_modes
2378 **
2379 ** @param const xcb_randr_get_output_info_reply_t *R
2380 ** @returns xcb_randr_mode_t *
2381 **
2382 *****************************************************************************/
2383
2384 xcb_randr_mode_t *
2385 xcb_randr_get_output_info_modes (const xcb_randr_get_output_info_reply_t *R );
2386
2387
2388 /*****************************************************************************
2389 **
2390 ** int xcb_randr_get_output_info_modes_length
2391 **
2392 ** @param const xcb_randr_get_output_info_reply_t *R
2393 ** @returns int
2394 **
2395 *****************************************************************************/
2396
2397 int
2398 xcb_randr_get_output_info_modes_length (const xcb_randr_get_output_info_reply_t *R );
2399
2400
2401 /*****************************************************************************
2402 **
2403 ** xcb_generic_iterator_t xcb_randr_get_output_info_modes_end
2404 **
2405 ** @param const xcb_randr_get_output_info_reply_t *R
2406 ** @returns xcb_generic_iterator_t
2407 **
2408 *****************************************************************************/
2409
2410 xcb_generic_iterator_t
2411 xcb_randr_get_output_info_modes_end (const xcb_randr_get_output_info_reply_t *R );
2412
2413
2414 /*****************************************************************************
2415 **
2416 ** xcb_randr_output_t * xcb_randr_get_output_info_clones
2417 **
2418 ** @param const xcb_randr_get_output_info_reply_t *R
2419 ** @returns xcb_randr_output_t *
2420 **
2421 *****************************************************************************/
2422
2423 xcb_randr_output_t *
2424 xcb_randr_get_output_info_clones (const xcb_randr_get_output_info_reply_t *R );
2425
2426
2427 /*****************************************************************************
2428 **
2429 ** int xcb_randr_get_output_info_clones_length
2430 **
2431 ** @param const xcb_randr_get_output_info_reply_t *R
2432 ** @returns int
2433 **
2434 *****************************************************************************/
2435
2436 int
2437 xcb_randr_get_output_info_clones_length (const xcb_randr_get_output_info_reply_t *R );
2438
2439
2440 /*****************************************************************************
2441 **
2442 ** xcb_generic_iterator_t xcb_randr_get_output_info_clones_end
2443 **
2444 ** @param const xcb_randr_get_output_info_reply_t *R
2445 ** @returns xcb_generic_iterator_t
2446 **
2447 *****************************************************************************/
2448
2449 xcb_generic_iterator_t
2450 xcb_randr_get_output_info_clones_end (const xcb_randr_get_output_info_reply_t *R );
2451
2452
2453 /*****************************************************************************
2454 **
2455 ** uint8_t * xcb_randr_get_output_info_name
2456 **
2457 ** @param const xcb_randr_get_output_info_reply_t *R
2458 ** @returns uint8_t *
2459 **
2460 *****************************************************************************/
2461
2462 uint8_t *
2463 xcb_randr_get_output_info_name (const xcb_randr_get_output_info_reply_t *R );
2464
2465
2466 /*****************************************************************************
2467 **
2468 ** int xcb_randr_get_output_info_name_length
2469 **
2470 ** @param const xcb_randr_get_output_info_reply_t *R
2471 ** @returns int
2472 **
2473 *****************************************************************************/
2474
2475 int
2476 xcb_randr_get_output_info_name_length (const xcb_randr_get_output_info_reply_t *R );
2477
2478
2479 /*****************************************************************************
2480 **
2481 ** xcb_generic_iterator_t xcb_randr_get_output_info_name_end
2482 **
2483 ** @param const xcb_randr_get_output_info_reply_t *R
2484 ** @returns xcb_generic_iterator_t
2485 **
2486 *****************************************************************************/
2487
2488 xcb_generic_iterator_t
2489 xcb_randr_get_output_info_name_end (const xcb_randr_get_output_info_reply_t *R );
2490
2506 /*****************************************************************************
2507 **
2508 ** xcb_randr_get_output_info_reply_t * xcb_randr_get_output_info_reply
2509 **
2510 ** @param xcb_connection_t *c
2511 ** @param xcb_randr_get_output_info_cookie_t cookie
2512 ** @param xcb_generic_error_t **e
2513 ** @returns xcb_randr_get_output_info_reply_t *
2514 **
2515 *****************************************************************************/
2516
2517 xcb_randr_get_output_info_reply_t *
2518 xcb_randr_get_output_info_reply (xcb_connection_t *c ,
2519 xcb_randr_get_output_info_cookie_t cookie ,
2520 xcb_generic_error_t **e );
2521
2522 int
2523 xcb_randr_list_output_properties_sizeof (const void *_buffer );
2524
2534 /*****************************************************************************
2535 **
2536 ** xcb_randr_list_output_properties_cookie_t xcb_randr_list_output_properties
2537 **
2538 ** @param xcb_connection_t *c
2539 ** @param xcb_randr_output_t output
2540 ** @returns xcb_randr_list_output_properties_cookie_t
2541 **
2542 *****************************************************************************/
2543
2544 xcb_randr_list_output_properties_cookie_t
2545 xcb_randr_list_output_properties (xcb_connection_t *c ,
2546 xcb_randr_output_t output );
2547
2560 /*****************************************************************************
2561 **
2562 ** xcb_randr_list_output_properties_cookie_t xcb_randr_list_output_properties_unchecked
2563 **
2564 ** @param xcb_connection_t *c
2565 ** @param xcb_randr_output_t output
2566 ** @returns xcb_randr_list_output_properties_cookie_t
2567 **
2568 *****************************************************************************/
2569
2570 xcb_randr_list_output_properties_cookie_t
2571 xcb_randr_list_output_properties_unchecked (xcb_connection_t *c ,
2572 xcb_randr_output_t output );
2573
2574
2575 /*****************************************************************************
2576 **
2577 ** xcb_atom_t * xcb_randr_list_output_properties_atoms
2578 **
2579 ** @param const xcb_randr_list_output_properties_reply_t *R
2580 ** @returns xcb_atom_t *
2581 **
2582 *****************************************************************************/
2583
2584 xcb_atom_t *
2585 xcb_randr_list_output_properties_atoms (const xcb_randr_list_output_properties_reply_t *R );
2586
2587
2588 /*****************************************************************************
2589 **
2590 ** int xcb_randr_list_output_properties_atoms_length
2591 **
2592 ** @param const xcb_randr_list_output_properties_reply_t *R
2593 ** @returns int
2594 **
2595 *****************************************************************************/
2596
2597 int
2598 xcb_randr_list_output_properties_atoms_length (const xcb_randr_list_output_properties_reply_t *R );
2599
2600
2601 /*****************************************************************************
2602 **
2603 ** xcb_generic_iterator_t xcb_randr_list_output_properties_atoms_end
2604 **
2605 ** @param const xcb_randr_list_output_properties_reply_t *R
2606 ** @returns xcb_generic_iterator_t
2607 **
2608 *****************************************************************************/
2609
2610 xcb_generic_iterator_t
2611 xcb_randr_list_output_properties_atoms_end (const xcb_randr_list_output_properties_reply_t *R );
2612
2628 /*****************************************************************************
2629 **
2630 ** xcb_randr_list_output_properties_reply_t * xcb_randr_list_output_properties_reply
2631 **
2632 ** @param xcb_connection_t *c
2633 ** @param xcb_randr_list_output_properties_cookie_t cookie
2634 ** @param xcb_generic_error_t **e
2635 ** @returns xcb_randr_list_output_properties_reply_t *
2636 **
2637 *****************************************************************************/
2638
2639 xcb_randr_list_output_properties_reply_t *
2640 xcb_randr_list_output_properties_reply (xcb_connection_t *c ,
2641 xcb_randr_list_output_properties_cookie_t cookie ,
2642 xcb_generic_error_t **e );
2643
2644 int
2645 xcb_randr_query_output_property_sizeof (const void *_buffer );
2646
2656 /*****************************************************************************
2657 **
2658 ** xcb_randr_query_output_property_cookie_t xcb_randr_query_output_property
2659 **
2660 ** @param xcb_connection_t *c
2661 ** @param xcb_randr_output_t output
2662 ** @param xcb_atom_t property
2663 ** @returns xcb_randr_query_output_property_cookie_t
2664 **
2665 *****************************************************************************/
2666
2667 xcb_randr_query_output_property_cookie_t
2668 xcb_randr_query_output_property (xcb_connection_t *c ,
2669 xcb_randr_output_t output ,
2670 xcb_atom_t property );
2671
2684 /*****************************************************************************
2685 **
2686 ** xcb_randr_query_output_property_cookie_t xcb_randr_query_output_property_unchecked
2687 **
2688 ** @param xcb_connection_t *c
2689 ** @param xcb_randr_output_t output
2690 ** @param xcb_atom_t property
2691 ** @returns xcb_randr_query_output_property_cookie_t
2692 **
2693 *****************************************************************************/
2694
2695 xcb_randr_query_output_property_cookie_t
2696 xcb_randr_query_output_property_unchecked (xcb_connection_t *c ,
2697 xcb_randr_output_t output ,
2698 xcb_atom_t property );
2699
2700
2701 /*****************************************************************************
2702 **
2703 ** int32_t * xcb_randr_query_output_property_valid_values
2704 **
2705 ** @param const xcb_randr_query_output_property_reply_t *R
2706 ** @returns int32_t *
2707 **
2708 *****************************************************************************/
2709
2710 int32_t *
2711 xcb_randr_query_output_property_valid_values (const xcb_randr_query_output_property_reply_t *R );
2712
2713
2714 /*****************************************************************************
2715 **
2716 ** int xcb_randr_query_output_property_valid_values_length
2717 **
2718 ** @param const xcb_randr_query_output_property_reply_t *R
2719 ** @returns int
2720 **
2721 *****************************************************************************/
2722
2723 int
2724 xcb_randr_query_output_property_valid_values_length (const xcb_randr_query_output_property_reply_t *R );
2725
2726
2727 /*****************************************************************************
2728 **
2729 ** xcb_generic_iterator_t xcb_randr_query_output_property_valid_values_end
2730 **
2731 ** @param const xcb_randr_query_output_property_reply_t *R
2732 ** @returns xcb_generic_iterator_t
2733 **
2734 *****************************************************************************/
2735
2736 xcb_generic_iterator_t
2737 xcb_randr_query_output_property_valid_values_end (const xcb_randr_query_output_property_reply_t *R );
2738
2754 /*****************************************************************************
2755 **
2756 ** xcb_randr_query_output_property_reply_t * xcb_randr_query_output_property_reply
2757 **
2758 ** @param xcb_connection_t *c
2759 ** @param xcb_randr_query_output_property_cookie_t cookie
2760 ** @param xcb_generic_error_t **e
2761 ** @returns xcb_randr_query_output_property_reply_t *
2762 **
2763 *****************************************************************************/
2764
2765 xcb_randr_query_output_property_reply_t *
2766 xcb_randr_query_output_property_reply (xcb_connection_t *c ,
2767 xcb_randr_query_output_property_cookie_t cookie ,
2768 xcb_generic_error_t **e );
2769
2770 int
2771 xcb_randr_configure_output_property_sizeof (const void *_buffer ,
2772 uint32_t values_len );
2773
2786 /*****************************************************************************
2787 **
2788 ** xcb_void_cookie_t xcb_randr_configure_output_property_checked
2789 **
2790 ** @param xcb_connection_t *c
2791 ** @param xcb_randr_output_t output
2792 ** @param xcb_atom_t property
2793 ** @param uint8_t pending
2794 ** @param uint8_t range
2795 ** @param uint32_t values_len
2796 ** @param const int32_t *values
2797 ** @returns xcb_void_cookie_t
2798 **
2799 *****************************************************************************/
2800
2801 xcb_void_cookie_t
2802 xcb_randr_configure_output_property_checked (xcb_connection_t *c ,
2803 xcb_randr_output_t output ,
2804 xcb_atom_t property ,
2805 uint8_t pending ,
2806 uint8_t range ,
2807 uint32_t values_len ,
2808 const int32_t *values );
2809
2819 /*****************************************************************************
2820 **
2821 ** xcb_void_cookie_t xcb_randr_configure_output_property
2822 **
2823 ** @param xcb_connection_t *c
2824 ** @param xcb_randr_output_t output
2825 ** @param xcb_atom_t property
2826 ** @param uint8_t pending
2827 ** @param uint8_t range
2828 ** @param uint32_t values_len
2829 ** @param const int32_t *values
2830 ** @returns xcb_void_cookie_t
2831 **
2832 *****************************************************************************/
2833
2834 xcb_void_cookie_t
2835 xcb_randr_configure_output_property (xcb_connection_t *c ,
2836 xcb_randr_output_t output ,
2837 xcb_atom_t property ,
2838 uint8_t pending ,
2839 uint8_t range ,
2840 uint32_t values_len ,
2841 const int32_t *values );
2842
2843 int
2844 xcb_randr_change_output_property_sizeof (const void *_buffer );
2845
2858 /*****************************************************************************
2859 **
2860 ** xcb_void_cookie_t xcb_randr_change_output_property_checked
2861 **
2862 ** @param xcb_connection_t *c
2863 ** @param xcb_randr_output_t output
2864 ** @param xcb_atom_t property
2865 ** @param xcb_atom_t type
2866 ** @param uint8_t format
2867 ** @param uint8_t mode
2868 ** @param uint32_t num_units
2869 ** @param const void *data
2870 ** @returns xcb_void_cookie_t
2871 **
2872 *****************************************************************************/
2873
2874 xcb_void_cookie_t
2875 xcb_randr_change_output_property_checked (xcb_connection_t *c ,
2876 xcb_randr_output_t output ,
2877 xcb_atom_t property ,
2878 xcb_atom_t type ,
2879 uint8_t format ,
2880 uint8_t mode ,
2881 uint32_t num_units ,
2882 const void *data );
2883
2893 /*****************************************************************************
2894 **
2895 ** xcb_void_cookie_t xcb_randr_change_output_property
2896 **
2897 ** @param xcb_connection_t *c
2898 ** @param xcb_randr_output_t output
2899 ** @param xcb_atom_t property
2900 ** @param xcb_atom_t type
2901 ** @param uint8_t format
2902 ** @param uint8_t mode
2903 ** @param uint32_t num_units
2904 ** @param const void *data
2905 ** @returns xcb_void_cookie_t
2906 **
2907 *****************************************************************************/
2908
2909 xcb_void_cookie_t
2910 xcb_randr_change_output_property (xcb_connection_t *c ,
2911 xcb_randr_output_t output ,
2912 xcb_atom_t property ,
2913 xcb_atom_t type ,
2914 uint8_t format ,
2915 uint8_t mode ,
2916 uint32_t num_units ,
2917 const void *data );
2918
2931 /*****************************************************************************
2932 **
2933 ** xcb_void_cookie_t xcb_randr_delete_output_property_checked
2934 **
2935 ** @param xcb_connection_t *c
2936 ** @param xcb_randr_output_t output
2937 ** @param xcb_atom_t property
2938 ** @returns xcb_void_cookie_t
2939 **
2940 *****************************************************************************/
2941
2942 xcb_void_cookie_t
2943 xcb_randr_delete_output_property_checked (xcb_connection_t *c ,
2944 xcb_randr_output_t output ,
2945 xcb_atom_t property );
2946
2956 /*****************************************************************************
2957 **
2958 ** xcb_void_cookie_t xcb_randr_delete_output_property
2959 **
2960 ** @param xcb_connection_t *c
2961 ** @param xcb_randr_output_t output
2962 ** @param xcb_atom_t property
2963 ** @returns xcb_void_cookie_t
2964 **
2965 *****************************************************************************/
2966
2967 xcb_void_cookie_t
2968 xcb_randr_delete_output_property (xcb_connection_t *c ,
2969 xcb_randr_output_t output ,
2970 xcb_atom_t property );
2971
2972 int
2973 xcb_randr_get_output_property_sizeof (const void *_buffer );
2974
2984 /*****************************************************************************
2985 **
2986 ** xcb_randr_get_output_property_cookie_t xcb_randr_get_output_property
2987 **
2988 ** @param xcb_connection_t *c
2989 ** @param xcb_randr_output_t output
2990 ** @param xcb_atom_t property
2991 ** @param xcb_atom_t type
2992 ** @param uint32_t long_offset
2993 ** @param uint32_t long_length
2994 ** @param uint8_t _delete
2995 ** @param uint8_t pending
2996 ** @returns xcb_randr_get_output_property_cookie_t
2997 **
2998 *****************************************************************************/
2999
3000 xcb_randr_get_output_property_cookie_t
3001 xcb_randr_get_output_property (xcb_connection_t *c ,
3002 xcb_randr_output_t output ,
3003 xcb_atom_t property ,
3004 xcb_atom_t type ,
3005 uint32_t long_offset ,
3006 uint32_t long_length ,
3007 uint8_t _delete ,
3008 uint8_t pending );
3009
3022 /*****************************************************************************
3023 **
3024 ** xcb_randr_get_output_property_cookie_t xcb_randr_get_output_property_unchecked
3025 **
3026 ** @param xcb_connection_t *c
3027 ** @param xcb_randr_output_t output
3028 ** @param xcb_atom_t property
3029 ** @param xcb_atom_t type
3030 ** @param uint32_t long_offset
3031 ** @param uint32_t long_length
3032 ** @param uint8_t _delete
3033 ** @param uint8_t pending
3034 ** @returns xcb_randr_get_output_property_cookie_t
3035 **
3036 *****************************************************************************/
3037
3038 xcb_randr_get_output_property_cookie_t
3039 xcb_randr_get_output_property_unchecked (xcb_connection_t *c ,
3040 xcb_randr_output_t output ,
3041 xcb_atom_t property ,
3042 xcb_atom_t type ,
3043 uint32_t long_offset ,
3044 uint32_t long_length ,
3045 uint8_t _delete ,
3046 uint8_t pending );
3047
3048
3049 /*****************************************************************************
3050 **
3051 ** uint8_t * xcb_randr_get_output_property_data
3052 **
3053 ** @param const xcb_randr_get_output_property_reply_t *R
3054 ** @returns uint8_t *
3055 **
3056 *****************************************************************************/
3057
3058 uint8_t *
3059 xcb_randr_get_output_property_data (const xcb_randr_get_output_property_reply_t *R );
3060
3061
3062 /*****************************************************************************
3063 **
3064 ** int xcb_randr_get_output_property_data_length
3065 **
3066 ** @param const xcb_randr_get_output_property_reply_t *R
3067 ** @returns int
3068 **
3069 *****************************************************************************/
3070
3071 int
3072 xcb_randr_get_output_property_data_length (const xcb_randr_get_output_property_reply_t *R );
3073
3074
3075 /*****************************************************************************
3076 **
3077 ** xcb_generic_iterator_t xcb_randr_get_output_property_data_end
3078 **
3079 ** @param const xcb_randr_get_output_property_reply_t *R
3080 ** @returns xcb_generic_iterator_t
3081 **
3082 *****************************************************************************/
3083
3084 xcb_generic_iterator_t
3085 xcb_randr_get_output_property_data_end (const xcb_randr_get_output_property_reply_t *R );
3086
3102 /*****************************************************************************
3103 **
3104 ** xcb_randr_get_output_property_reply_t * xcb_randr_get_output_property_reply
3105 **
3106 ** @param xcb_connection_t *c
3107 ** @param xcb_randr_get_output_property_cookie_t cookie
3108 ** @param xcb_generic_error_t **e
3109 ** @returns xcb_randr_get_output_property_reply_t *
3110 **
3111 *****************************************************************************/
3112
3113 xcb_randr_get_output_property_reply_t *
3114 xcb_randr_get_output_property_reply (xcb_connection_t *c ,
3115 xcb_randr_get_output_property_cookie_t cookie ,
3116 xcb_generic_error_t **e );
3117
3118 int
3119 xcb_randr_create_mode_sizeof (const void *_buffer ,
3120 uint32_t name_len );
3121
3131 /*****************************************************************************
3132 **
3133 ** xcb_randr_create_mode_cookie_t xcb_randr_create_mode
3134 **
3135 ** @param xcb_connection_t *c
3136 ** @param xcb_window_t window
3137 ** @param xcb_randr_mode_info_t mode_info
3138 ** @param uint32_t name_len
3139 ** @param const char *name
3140 ** @returns xcb_randr_create_mode_cookie_t
3141 **
3142 *****************************************************************************/
3143
3144 xcb_randr_create_mode_cookie_t
3145 xcb_randr_create_mode (xcb_connection_t *c ,
3146 xcb_window_t window ,
3147 xcb_randr_mode_info_t mode_info ,
3148 uint32_t name_len ,
3149 const char *name );
3150
3163 /*****************************************************************************
3164 **
3165 ** xcb_randr_create_mode_cookie_t xcb_randr_create_mode_unchecked
3166 **
3167 ** @param xcb_connection_t *c
3168 ** @param xcb_window_t window
3169 ** @param xcb_randr_mode_info_t mode_info
3170 ** @param uint32_t name_len
3171 ** @param const char *name
3172 ** @returns xcb_randr_create_mode_cookie_t
3173 **
3174 *****************************************************************************/
3175
3176 xcb_randr_create_mode_cookie_t
3177 xcb_randr_create_mode_unchecked (xcb_connection_t *c ,
3178 xcb_window_t window ,
3179 xcb_randr_mode_info_t mode_info ,
3180 uint32_t name_len ,
3181 const char *name );
3182
3198 /*****************************************************************************
3199 **
3200 ** xcb_randr_create_mode_reply_t * xcb_randr_create_mode_reply
3201 **
3202 ** @param xcb_connection_t *c
3203 ** @param xcb_randr_create_mode_cookie_t cookie
3204 ** @param xcb_generic_error_t **e
3205 ** @returns xcb_randr_create_mode_reply_t *
3206 **
3207 *****************************************************************************/
3208
3209 xcb_randr_create_mode_reply_t *
3210 xcb_randr_create_mode_reply (xcb_connection_t *c ,
3211 xcb_randr_create_mode_cookie_t cookie ,
3212 xcb_generic_error_t **e );
3213
3226 /*****************************************************************************
3227 **
3228 ** xcb_void_cookie_t xcb_randr_destroy_mode_checked
3229 **
3230 ** @param xcb_connection_t *c
3231 ** @param xcb_randr_mode_t mode
3232 ** @returns xcb_void_cookie_t
3233 **
3234 *****************************************************************************/
3235
3236 xcb_void_cookie_t
3237 xcb_randr_destroy_mode_checked (xcb_connection_t *c ,
3238 xcb_randr_mode_t mode );
3239
3249 /*****************************************************************************
3250 **
3251 ** xcb_void_cookie_t xcb_randr_destroy_mode
3252 **
3253 ** @param xcb_connection_t *c
3254 ** @param xcb_randr_mode_t mode
3255 ** @returns xcb_void_cookie_t
3256 **
3257 *****************************************************************************/
3258
3259 xcb_void_cookie_t
3260 xcb_randr_destroy_mode (xcb_connection_t *c ,
3261 xcb_randr_mode_t mode );
3262
3275 /*****************************************************************************
3276 **
3277 ** xcb_void_cookie_t xcb_randr_add_output_mode_checked
3278 **
3279 ** @param xcb_connection_t *c
3280 ** @param xcb_randr_output_t output
3281 ** @param xcb_randr_mode_t mode
3282 ** @returns xcb_void_cookie_t
3283 **
3284 *****************************************************************************/
3285
3286 xcb_void_cookie_t
3287 xcb_randr_add_output_mode_checked (xcb_connection_t *c ,
3288 xcb_randr_output_t output ,
3289 xcb_randr_mode_t mode );
3290
3300 /*****************************************************************************
3301 **
3302 ** xcb_void_cookie_t xcb_randr_add_output_mode
3303 **
3304 ** @param xcb_connection_t *c
3305 ** @param xcb_randr_output_t output
3306 ** @param xcb_randr_mode_t mode
3307 ** @returns xcb_void_cookie_t
3308 **
3309 *****************************************************************************/
3310
3311 xcb_void_cookie_t
3312 xcb_randr_add_output_mode (xcb_connection_t *c ,
3313 xcb_randr_output_t output ,
3314 xcb_randr_mode_t mode );
3315
3328 /*****************************************************************************
3329 **
3330 ** xcb_void_cookie_t xcb_randr_delete_output_mode_checked
3331 **
3332 ** @param xcb_connection_t *c
3333 ** @param xcb_randr_output_t output
3334 ** @param xcb_randr_mode_t mode
3335 ** @returns xcb_void_cookie_t
3336 **
3337 *****************************************************************************/
3338
3339 xcb_void_cookie_t
3340 xcb_randr_delete_output_mode_checked (xcb_connection_t *c ,
3341 xcb_randr_output_t output ,
3342 xcb_randr_mode_t mode );
3343
3353 /*****************************************************************************
3354 **
3355 ** xcb_void_cookie_t xcb_randr_delete_output_mode
3356 **
3357 ** @param xcb_connection_t *c
3358 ** @param xcb_randr_output_t output
3359 ** @param xcb_randr_mode_t mode
3360 ** @returns xcb_void_cookie_t
3361 **
3362 *****************************************************************************/
3363
3364 xcb_void_cookie_t
3365 xcb_randr_delete_output_mode (xcb_connection_t *c ,
3366 xcb_randr_output_t output ,
3367 xcb_randr_mode_t mode );
3368
3369 int
3370 xcb_randr_get_crtc_info_sizeof (const void *_buffer );
3371
3381 /*****************************************************************************
3382 **
3383 ** xcb_randr_get_crtc_info_cookie_t xcb_randr_get_crtc_info
3384 **
3385 ** @param xcb_connection_t *c
3386 ** @param xcb_randr_crtc_t crtc
3387 ** @param xcb_timestamp_t config_timestamp
3388 ** @returns xcb_randr_get_crtc_info_cookie_t
3389 **
3390 *****************************************************************************/
3391
3392 xcb_randr_get_crtc_info_cookie_t
3393 xcb_randr_get_crtc_info (xcb_connection_t *c ,
3394 xcb_randr_crtc_t crtc ,
3395 xcb_timestamp_t config_timestamp );
3396
3409 /*****************************************************************************
3410 **
3411 ** xcb_randr_get_crtc_info_cookie_t xcb_randr_get_crtc_info_unchecked
3412 **
3413 ** @param xcb_connection_t *c
3414 ** @param xcb_randr_crtc_t crtc
3415 ** @param xcb_timestamp_t config_timestamp
3416 ** @returns xcb_randr_get_crtc_info_cookie_t
3417 **
3418 *****************************************************************************/
3419
3420 xcb_randr_get_crtc_info_cookie_t
3421 xcb_randr_get_crtc_info_unchecked (xcb_connection_t *c ,
3422 xcb_randr_crtc_t crtc ,
3423 xcb_timestamp_t config_timestamp );
3424
3425
3426 /*****************************************************************************
3427 **
3428 ** xcb_randr_output_t * xcb_randr_get_crtc_info_outputs
3429 **
3430 ** @param const xcb_randr_get_crtc_info_reply_t *R
3431 ** @returns xcb_randr_output_t *
3432 **
3433 *****************************************************************************/
3434
3435 xcb_randr_output_t *
3436 xcb_randr_get_crtc_info_outputs (const xcb_randr_get_crtc_info_reply_t *R );
3437
3438
3439 /*****************************************************************************
3440 **
3441 ** int xcb_randr_get_crtc_info_outputs_length
3442 **
3443 ** @param const xcb_randr_get_crtc_info_reply_t *R
3444 ** @returns int
3445 **
3446 *****************************************************************************/
3447
3448 int
3449 xcb_randr_get_crtc_info_outputs_length (const xcb_randr_get_crtc_info_reply_t *R );
3450
3451
3452 /*****************************************************************************
3453 **
3454 ** xcb_generic_iterator_t xcb_randr_get_crtc_info_outputs_end
3455 **
3456 ** @param const xcb_randr_get_crtc_info_reply_t *R
3457 ** @returns xcb_generic_iterator_t
3458 **
3459 *****************************************************************************/
3460
3461 xcb_generic_iterator_t
3462 xcb_randr_get_crtc_info_outputs_end (const xcb_randr_get_crtc_info_reply_t *R );
3463
3464
3465 /*****************************************************************************
3466 **
3467 ** xcb_randr_output_t * xcb_randr_get_crtc_info_possible
3468 **
3469 ** @param const xcb_randr_get_crtc_info_reply_t *R
3470 ** @returns xcb_randr_output_t *
3471 **
3472 *****************************************************************************/
3473
3474 xcb_randr_output_t *
3475 xcb_randr_get_crtc_info_possible (const xcb_randr_get_crtc_info_reply_t *R );
3476
3477
3478 /*****************************************************************************
3479 **
3480 ** int xcb_randr_get_crtc_info_possible_length
3481 **
3482 ** @param const xcb_randr_get_crtc_info_reply_t *R
3483 ** @returns int
3484 **
3485 *****************************************************************************/
3486
3487 int
3488 xcb_randr_get_crtc_info_possible_length (const xcb_randr_get_crtc_info_reply_t *R );
3489
3490
3491 /*****************************************************************************
3492 **
3493 ** xcb_generic_iterator_t xcb_randr_get_crtc_info_possible_end
3494 **
3495 ** @param const xcb_randr_get_crtc_info_reply_t *R
3496 ** @returns xcb_generic_iterator_t
3497 **
3498 *****************************************************************************/
3499
3500 xcb_generic_iterator_t
3501 xcb_randr_get_crtc_info_possible_end (const xcb_randr_get_crtc_info_reply_t *R );
3502
3518 /*****************************************************************************
3519 **
3520 ** xcb_randr_get_crtc_info_reply_t * xcb_randr_get_crtc_info_reply
3521 **
3522 ** @param xcb_connection_t *c
3523 ** @param xcb_randr_get_crtc_info_cookie_t cookie
3524 ** @param xcb_generic_error_t **e
3525 ** @returns xcb_randr_get_crtc_info_reply_t *
3526 **
3527 *****************************************************************************/
3528
3529 xcb_randr_get_crtc_info_reply_t *
3530 xcb_randr_get_crtc_info_reply (xcb_connection_t *c ,
3531 xcb_randr_get_crtc_info_cookie_t cookie ,
3532 xcb_generic_error_t **e );
3533
3534 int
3535 xcb_randr_set_crtc_config_sizeof (const void *_buffer ,
3536 uint32_t outputs_len );
3537
3547 /*****************************************************************************
3548 **
3549 ** xcb_randr_set_crtc_config_cookie_t xcb_randr_set_crtc_config
3550 **
3551 ** @param xcb_connection_t *c
3552 ** @param xcb_randr_crtc_t crtc
3553 ** @param xcb_timestamp_t timestamp
3554 ** @param xcb_timestamp_t config_timestamp
3555 ** @param int16_t x
3556 ** @param int16_t y
3557 ** @param xcb_randr_mode_t mode
3558 ** @param uint16_t rotation
3559 ** @param uint32_t outputs_len
3560 ** @param const xcb_randr_output_t *outputs
3561 ** @returns xcb_randr_set_crtc_config_cookie_t
3562 **
3563 *****************************************************************************/
3564
3565 xcb_randr_set_crtc_config_cookie_t
3566 xcb_randr_set_crtc_config (xcb_connection_t *c ,
3567 xcb_randr_crtc_t crtc ,
3568 xcb_timestamp_t timestamp ,
3569 xcb_timestamp_t config_timestamp ,
3570 int16_t x ,
3571 int16_t y ,
3572 xcb_randr_mode_t mode ,
3573 uint16_t rotation ,
3574 uint32_t outputs_len ,
3575 const xcb_randr_output_t *outputs );
3576
3589 /*****************************************************************************
3590 **
3591 ** xcb_randr_set_crtc_config_cookie_t xcb_randr_set_crtc_config_unchecked
3592 **
3593 ** @param xcb_connection_t *c
3594 ** @param xcb_randr_crtc_t crtc
3595 ** @param xcb_timestamp_t timestamp
3596 ** @param xcb_timestamp_t config_timestamp
3597 ** @param int16_t x
3598 ** @param int16_t y
3599 ** @param xcb_randr_mode_t mode
3600 ** @param uint16_t rotation
3601 ** @param uint32_t outputs_len
3602 ** @param const xcb_randr_output_t *outputs
3603 ** @returns xcb_randr_set_crtc_config_cookie_t
3604 **
3605 *****************************************************************************/
3606
3607 xcb_randr_set_crtc_config_cookie_t
3608 xcb_randr_set_crtc_config_unchecked (xcb_connection_t *c ,
3609 xcb_randr_crtc_t crtc ,
3610 xcb_timestamp_t timestamp ,
3611 xcb_timestamp_t config_timestamp ,
3612 int16_t x ,
3613 int16_t y ,
3614 xcb_randr_mode_t mode ,
3615 uint16_t rotation ,
3616 uint32_t outputs_len ,
3617 const xcb_randr_output_t *outputs );
3618
3634 /*****************************************************************************
3635 **
3636 ** xcb_randr_set_crtc_config_reply_t * xcb_randr_set_crtc_config_reply
3637 **
3638 ** @param xcb_connection_t *c
3639 ** @param xcb_randr_set_crtc_config_cookie_t cookie
3640 ** @param xcb_generic_error_t **e
3641 ** @returns xcb_randr_set_crtc_config_reply_t *
3642 **
3643 *****************************************************************************/
3644
3645 xcb_randr_set_crtc_config_reply_t *
3646 xcb_randr_set_crtc_config_reply (xcb_connection_t *c ,
3647 xcb_randr_set_crtc_config_cookie_t cookie ,
3648 xcb_generic_error_t **e );
3649
3659 /*****************************************************************************
3660 **
3661 ** xcb_randr_get_crtc_gamma_size_cookie_t xcb_randr_get_crtc_gamma_size
3662 **
3663 ** @param xcb_connection_t *c
3664 ** @param xcb_randr_crtc_t crtc
3665 ** @returns xcb_randr_get_crtc_gamma_size_cookie_t
3666 **
3667 *****************************************************************************/
3668
3669 xcb_randr_get_crtc_gamma_size_cookie_t
3670 xcb_randr_get_crtc_gamma_size (xcb_connection_t *c ,
3671 xcb_randr_crtc_t crtc );
3672
3685 /*****************************************************************************
3686 **
3687 ** xcb_randr_get_crtc_gamma_size_cookie_t xcb_randr_get_crtc_gamma_size_unchecked
3688 **
3689 ** @param xcb_connection_t *c
3690 ** @param xcb_randr_crtc_t crtc
3691 ** @returns xcb_randr_get_crtc_gamma_size_cookie_t
3692 **
3693 *****************************************************************************/
3694
3695 xcb_randr_get_crtc_gamma_size_cookie_t
3696 xcb_randr_get_crtc_gamma_size_unchecked (xcb_connection_t *c ,
3697 xcb_randr_crtc_t crtc );
3698
3714 /*****************************************************************************
3715 **
3716 ** xcb_randr_get_crtc_gamma_size_reply_t * xcb_randr_get_crtc_gamma_size_reply
3717 **
3718 ** @param xcb_connection_t *c
3719 ** @param xcb_randr_get_crtc_gamma_size_cookie_t cookie
3720 ** @param xcb_generic_error_t **e
3721 ** @returns xcb_randr_get_crtc_gamma_size_reply_t *
3722 **
3723 *****************************************************************************/
3724
3725 xcb_randr_get_crtc_gamma_size_reply_t *
3726 xcb_randr_get_crtc_gamma_size_reply (xcb_connection_t *c ,
3727 xcb_randr_get_crtc_gamma_size_cookie_t cookie ,
3728 xcb_generic_error_t **e );
3729
3730 int
3731 xcb_randr_get_crtc_gamma_sizeof (const void *_buffer );
3732
3742 /*****************************************************************************
3743 **
3744 ** xcb_randr_get_crtc_gamma_cookie_t xcb_randr_get_crtc_gamma
3745 **
3746 ** @param xcb_connection_t *c
3747 ** @param xcb_randr_crtc_t crtc
3748 ** @returns xcb_randr_get_crtc_gamma_cookie_t
3749 **
3750 *****************************************************************************/
3751
3752 xcb_randr_get_crtc_gamma_cookie_t
3753 xcb_randr_get_crtc_gamma (xcb_connection_t *c ,
3754 xcb_randr_crtc_t crtc );
3755
3768 /*****************************************************************************
3769 **
3770 ** xcb_randr_get_crtc_gamma_cookie_t xcb_randr_get_crtc_gamma_unchecked
3771 **
3772 ** @param xcb_connection_t *c
3773 ** @param xcb_randr_crtc_t crtc
3774 ** @returns xcb_randr_get_crtc_gamma_cookie_t
3775 **
3776 *****************************************************************************/
3777
3778 xcb_randr_get_crtc_gamma_cookie_t
3779 xcb_randr_get_crtc_gamma_unchecked (xcb_connection_t *c ,
3780 xcb_randr_crtc_t crtc );
3781
3782
3783 /*****************************************************************************
3784 **
3785 ** uint16_t * xcb_randr_get_crtc_gamma_red
3786 **
3787 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3788 ** @returns uint16_t *
3789 **
3790 *****************************************************************************/
3791
3792 uint16_t *
3793 xcb_randr_get_crtc_gamma_red (const xcb_randr_get_crtc_gamma_reply_t *R );
3794
3795
3796 /*****************************************************************************
3797 **
3798 ** int xcb_randr_get_crtc_gamma_red_length
3799 **
3800 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3801 ** @returns int
3802 **
3803 *****************************************************************************/
3804
3805 int
3806 xcb_randr_get_crtc_gamma_red_length (const xcb_randr_get_crtc_gamma_reply_t *R );
3807
3808
3809 /*****************************************************************************
3810 **
3811 ** xcb_generic_iterator_t xcb_randr_get_crtc_gamma_red_end
3812 **
3813 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3814 ** @returns xcb_generic_iterator_t
3815 **
3816 *****************************************************************************/
3817
3818 xcb_generic_iterator_t
3819 xcb_randr_get_crtc_gamma_red_end (const xcb_randr_get_crtc_gamma_reply_t *R );
3820
3821
3822 /*****************************************************************************
3823 **
3824 ** uint16_t * xcb_randr_get_crtc_gamma_green
3825 **
3826 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3827 ** @returns uint16_t *
3828 **
3829 *****************************************************************************/
3830
3831 uint16_t *
3832 xcb_randr_get_crtc_gamma_green (const xcb_randr_get_crtc_gamma_reply_t *R );
3833
3834
3835 /*****************************************************************************
3836 **
3837 ** int xcb_randr_get_crtc_gamma_green_length
3838 **
3839 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3840 ** @returns int
3841 **
3842 *****************************************************************************/
3843
3844 int
3845 xcb_randr_get_crtc_gamma_green_length (const xcb_randr_get_crtc_gamma_reply_t *R );
3846
3847
3848 /*****************************************************************************
3849 **
3850 ** xcb_generic_iterator_t xcb_randr_get_crtc_gamma_green_end
3851 **
3852 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3853 ** @returns xcb_generic_iterator_t
3854 **
3855 *****************************************************************************/
3856
3857 xcb_generic_iterator_t
3858 xcb_randr_get_crtc_gamma_green_end (const xcb_randr_get_crtc_gamma_reply_t *R );
3859
3860
3861 /*****************************************************************************
3862 **
3863 ** uint16_t * xcb_randr_get_crtc_gamma_blue
3864 **
3865 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3866 ** @returns uint16_t *
3867 **
3868 *****************************************************************************/
3869
3870 uint16_t *
3871 xcb_randr_get_crtc_gamma_blue (const xcb_randr_get_crtc_gamma_reply_t *R );
3872
3873
3874 /*****************************************************************************
3875 **
3876 ** int xcb_randr_get_crtc_gamma_blue_length
3877 **
3878 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3879 ** @returns int
3880 **
3881 *****************************************************************************/
3882
3883 int
3884 xcb_randr_get_crtc_gamma_blue_length (const xcb_randr_get_crtc_gamma_reply_t *R );
3885
3886
3887 /*****************************************************************************
3888 **
3889 ** xcb_generic_iterator_t xcb_randr_get_crtc_gamma_blue_end
3890 **
3891 ** @param const xcb_randr_get_crtc_gamma_reply_t *R
3892 ** @returns xcb_generic_iterator_t
3893 **
3894 *****************************************************************************/
3895
3896 xcb_generic_iterator_t
3897 xcb_randr_get_crtc_gamma_blue_end (const xcb_randr_get_crtc_gamma_reply_t *R );
3898
3914 /*****************************************************************************
3915 **
3916 ** xcb_randr_get_crtc_gamma_reply_t * xcb_randr_get_crtc_gamma_reply
3917 **
3918 ** @param xcb_connection_t *c
3919 ** @param xcb_randr_get_crtc_gamma_cookie_t cookie
3920 ** @param xcb_generic_error_t **e
3921 ** @returns xcb_randr_get_crtc_gamma_reply_t *
3922 **
3923 *****************************************************************************/
3924
3925 xcb_randr_get_crtc_gamma_reply_t *
3926 xcb_randr_get_crtc_gamma_reply (xcb_connection_t *c ,
3927 xcb_randr_get_crtc_gamma_cookie_t cookie ,
3928 xcb_generic_error_t **e );
3929
3930 int
3931 xcb_randr_set_crtc_gamma_sizeof (const void *_buffer );
3932
3945 /*****************************************************************************
3946 **
3947 ** xcb_void_cookie_t xcb_randr_set_crtc_gamma_checked
3948 **
3949 ** @param xcb_connection_t *c
3950 ** @param xcb_randr_crtc_t crtc
3951 ** @param uint16_t size
3952 ** @param const uint16_t *red
3953 ** @param const uint16_t *green
3954 ** @param const uint16_t *blue
3955 ** @returns xcb_void_cookie_t
3956 **
3957 *****************************************************************************/
3958
3959 xcb_void_cookie_t
3960 xcb_randr_set_crtc_gamma_checked (xcb_connection_t *c ,
3961 xcb_randr_crtc_t crtc ,
3962 uint16_t size ,
3963 const uint16_t *red ,
3964 const uint16_t *green ,
3965 const uint16_t *blue );
3966
3976 /*****************************************************************************
3977 **
3978 ** xcb_void_cookie_t xcb_randr_set_crtc_gamma
3979 **
3980 ** @param xcb_connection_t *c
3981 ** @param xcb_randr_crtc_t crtc
3982 ** @param uint16_t size
3983 ** @param const uint16_t *red
3984 ** @param const uint16_t *green
3985 ** @param const uint16_t *blue
3986 ** @returns xcb_void_cookie_t
3987 **
3988 *****************************************************************************/
3989
3990 xcb_void_cookie_t
3991 xcb_randr_set_crtc_gamma (xcb_connection_t *c ,
3992 xcb_randr_crtc_t crtc ,
3993 uint16_t size ,
3994 const uint16_t *red ,
3995 const uint16_t *green ,
3996 const uint16_t *blue );
3997
3998 int
3999 xcb_randr_get_screen_resources_current_sizeof (const void *_buffer );
4000
4010 /*****************************************************************************
4011 **
4012 ** xcb_randr_get_screen_resources_current_cookie_t xcb_randr_get_screen_resources_current
4013 **
4014 ** @param xcb_connection_t *c
4015 ** @param xcb_window_t window
4016 ** @returns xcb_randr_get_screen_resources_current_cookie_t
4017 **
4018 *****************************************************************************/
4019
4020 xcb_randr_get_screen_resources_current_cookie_t
4021 xcb_randr_get_screen_resources_current (xcb_connection_t *c ,
4022 xcb_window_t window );
4023
4036 /*****************************************************************************
4037 **
4038 ** xcb_randr_get_screen_resources_current_cookie_t xcb_randr_get_screen_resources_current_unchecked
4039 **
4040 ** @param xcb_connection_t *c
4041 ** @param xcb_window_t window
4042 ** @returns xcb_randr_get_screen_resources_current_cookie_t
4043 **
4044 *****************************************************************************/
4045
4046 xcb_randr_get_screen_resources_current_cookie_t
4047 xcb_randr_get_screen_resources_current_unchecked (xcb_connection_t *c ,
4048 xcb_window_t window );
4049
4050
4051 /*****************************************************************************
4052 **
4053 ** xcb_randr_crtc_t * xcb_randr_get_screen_resources_current_crtcs
4054 **
4055 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4056 ** @returns xcb_randr_crtc_t *
4057 **
4058 *****************************************************************************/
4059
4060 xcb_randr_crtc_t *
4061 xcb_randr_get_screen_resources_current_crtcs (const xcb_randr_get_screen_resources_current_reply_t *R );
4062
4063
4064 /*****************************************************************************
4065 **
4066 ** int xcb_randr_get_screen_resources_current_crtcs_length
4067 **
4068 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4069 ** @returns int
4070 **
4071 *****************************************************************************/
4072
4073 int
4074 xcb_randr_get_screen_resources_current_crtcs_length (const xcb_randr_get_screen_resources_current_reply_t *R );
4075
4076
4077 /*****************************************************************************
4078 **
4079 ** xcb_generic_iterator_t xcb_randr_get_screen_resources_current_crtcs_end
4080 **
4081 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4082 ** @returns xcb_generic_iterator_t
4083 **
4084 *****************************************************************************/
4085
4086 xcb_generic_iterator_t
4087 xcb_randr_get_screen_resources_current_crtcs_end (const xcb_randr_get_screen_resources_current_reply_t *R );
4088
4089
4090 /*****************************************************************************
4091 **
4092 ** xcb_randr_output_t * xcb_randr_get_screen_resources_current_outputs
4093 **
4094 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4095 ** @returns xcb_randr_output_t *
4096 **
4097 *****************************************************************************/
4098
4099 xcb_randr_output_t *
4100 xcb_randr_get_screen_resources_current_outputs (const xcb_randr_get_screen_resources_current_reply_t *R );
4101
4102
4103 /*****************************************************************************
4104 **
4105 ** int xcb_randr_get_screen_resources_current_outputs_length
4106 **
4107 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4108 ** @returns int
4109 **
4110 *****************************************************************************/
4111
4112 int
4113 xcb_randr_get_screen_resources_current_outputs_length (const xcb_randr_get_screen_resources_current_reply_t *R );
4114
4115
4116 /*****************************************************************************
4117 **
4118 ** xcb_generic_iterator_t xcb_randr_get_screen_resources_current_outputs_end
4119 **
4120 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4121 ** @returns xcb_generic_iterator_t
4122 **
4123 *****************************************************************************/
4124
4125 xcb_generic_iterator_t
4126 xcb_randr_get_screen_resources_current_outputs_end (const xcb_randr_get_screen_resources_current_reply_t *R );
4127
4128
4129 /*****************************************************************************
4130 **
4131 ** xcb_randr_mode_info_t * xcb_randr_get_screen_resources_current_modes
4132 **
4133 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4134 ** @returns xcb_randr_mode_info_t *
4135 **
4136 *****************************************************************************/
4137
4138 xcb_randr_mode_info_t *
4139 xcb_randr_get_screen_resources_current_modes (const xcb_randr_get_screen_resources_current_reply_t *R );
4140
4141
4142 /*****************************************************************************
4143 **
4144 ** int xcb_randr_get_screen_resources_current_modes_length
4145 **
4146 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4147 ** @returns int
4148 **
4149 *****************************************************************************/
4150
4151 int
4152 xcb_randr_get_screen_resources_current_modes_length (const xcb_randr_get_screen_resources_current_reply_t *R );
4153
4154
4155 /*****************************************************************************
4156 **
4157 ** xcb_randr_mode_info_iterator_t xcb_randr_get_screen_resources_current_modes_iterator
4158 **
4159 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4160 ** @returns xcb_randr_mode_info_iterator_t
4161 **
4162 *****************************************************************************/
4163
4164 xcb_randr_mode_info_iterator_t
4165 xcb_randr_get_screen_resources_current_modes_iterator (const xcb_randr_get_screen_resources_current_reply_t *R );
4166
4167
4168 /*****************************************************************************
4169 **
4170 ** uint8_t * xcb_randr_get_screen_resources_current_names
4171 **
4172 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4173 ** @returns uint8_t *
4174 **
4175 *****************************************************************************/
4176
4177 uint8_t *
4178 xcb_randr_get_screen_resources_current_names (const xcb_randr_get_screen_resources_current_reply_t *R );
4179
4180
4181 /*****************************************************************************
4182 **
4183 ** int xcb_randr_get_screen_resources_current_names_length
4184 **
4185 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4186 ** @returns int
4187 **
4188 *****************************************************************************/
4189
4190 int
4191 xcb_randr_get_screen_resources_current_names_length (const xcb_randr_get_screen_resources_current_reply_t *R );
4192
4193
4194 /*****************************************************************************
4195 **
4196 ** xcb_generic_iterator_t xcb_randr_get_screen_resources_current_names_end
4197 **
4198 ** @param const xcb_randr_get_screen_resources_current_reply_t *R
4199 ** @returns xcb_generic_iterator_t
4200 **
4201 *****************************************************************************/
4202
4203 xcb_generic_iterator_t
4204 xcb_randr_get_screen_resources_current_names_end (const xcb_randr_get_screen_resources_current_reply_t *R );
4205
4221 /*****************************************************************************
4222 **
4223 ** xcb_randr_get_screen_resources_current_reply_t * xcb_randr_get_screen_resources_current_reply
4224 **
4225 ** @param xcb_connection_t *c
4226 ** @param xcb_randr_get_screen_resources_current_cookie_t cookie
4227 ** @param xcb_generic_error_t **e
4228 ** @returns xcb_randr_get_screen_resources_current_reply_t *
4229 **
4230 *****************************************************************************/
4231
4232 xcb_randr_get_screen_resources_current_reply_t *
4233 xcb_randr_get_screen_resources_current_reply (xcb_connection_t *c ,
4234 xcb_randr_get_screen_resources_current_cookie_t cookie ,
4235 xcb_generic_error_t **e );
4236
4237 int
4238 xcb_randr_set_crtc_transform_sizeof (const void *_buffer ,
4239 uint32_t filter_params_len );
4240
4253 /*****************************************************************************
4254 **
4255 ** xcb_void_cookie_t xcb_randr_set_crtc_transform_checked
4256 **
4257 ** @param xcb_connection_t *c
4258 ** @param xcb_randr_crtc_t crtc
4259 ** @param xcb_render_transform_t transform
4260 ** @param uint16_t filter_len
4261 ** @param const char *filter_name
4262 ** @param uint32_t filter_params_len
4263 ** @param const xcb_render_fixed_t *filter_params
4264 ** @returns xcb_void_cookie_t
4265 **
4266 *****************************************************************************/
4267
4268 xcb_void_cookie_t
4269 xcb_randr_set_crtc_transform_checked (xcb_connection_t *c ,
4270 xcb_randr_crtc_t crtc ,
4271 xcb_render_transform_t transform ,
4272 uint16_t filter_len ,
4273 const char *filter_name ,
4274 uint32_t filter_params_len ,
4275 const xcb_render_fixed_t *filter_params );
4276
4286 /*****************************************************************************
4287 **
4288 ** xcb_void_cookie_t xcb_randr_set_crtc_transform
4289 **
4290 ** @param xcb_connection_t *c
4291 ** @param xcb_randr_crtc_t crtc
4292 ** @param xcb_render_transform_t transform
4293 ** @param uint16_t filter_len
4294 ** @param const char *filter_name
4295 ** @param uint32_t filter_params_len
4296 ** @param const xcb_render_fixed_t *filter_params
4297 ** @returns xcb_void_cookie_t
4298 **
4299 *****************************************************************************/
4300
4301 xcb_void_cookie_t
4302 xcb_randr_set_crtc_transform (xcb_connection_t *c ,
4303 xcb_randr_crtc_t crtc ,
4304 xcb_render_transform_t transform ,
4305 uint16_t filter_len ,
4306 const char *filter_name ,
4307 uint32_t filter_params_len ,
4308 const xcb_render_fixed_t *filter_params );
4309
4310 int
4311 xcb_randr_get_crtc_transform_sizeof (const void *_buffer );
4312
4322 /*****************************************************************************
4323 **
4324 ** xcb_randr_get_crtc_transform_cookie_t xcb_randr_get_crtc_transform
4325 **
4326 ** @param xcb_connection_t *c
4327 ** @param xcb_randr_crtc_t crtc
4328 ** @returns xcb_randr_get_crtc_transform_cookie_t
4329 **
4330 *****************************************************************************/
4331
4332 xcb_randr_get_crtc_transform_cookie_t
4333 xcb_randr_get_crtc_transform (xcb_connection_t *c ,
4334 xcb_randr_crtc_t crtc );
4335
4348 /*****************************************************************************
4349 **
4350 ** xcb_randr_get_crtc_transform_cookie_t xcb_randr_get_crtc_transform_unchecked
4351 **
4352 ** @param xcb_connection_t *c
4353 ** @param xcb_randr_crtc_t crtc
4354 ** @returns xcb_randr_get_crtc_transform_cookie_t
4355 **
4356 *****************************************************************************/
4357
4358 xcb_randr_get_crtc_transform_cookie_t
4359 xcb_randr_get_crtc_transform_unchecked (xcb_connection_t *c ,
4360 xcb_randr_crtc_t crtc );
4361
4362
4363 /*****************************************************************************
4364 **
4365 ** char * xcb_randr_get_crtc_transform_pending_filter_name
4366 **
4367 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4368 ** @returns char *
4369 **
4370 *****************************************************************************/
4371
4372 char *
4373 xcb_randr_get_crtc_transform_pending_filter_name (const xcb_randr_get_crtc_transform_reply_t *R );
4374
4375
4376 /*****************************************************************************
4377 **
4378 ** int xcb_randr_get_crtc_transform_pending_filter_name_length
4379 **
4380 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4381 ** @returns int
4382 **
4383 *****************************************************************************/
4384
4385 int
4386 xcb_randr_get_crtc_transform_pending_filter_name_length (const xcb_randr_get_crtc_transform_reply_t *R );
4387
4388
4389 /*****************************************************************************
4390 **
4391 ** xcb_generic_iterator_t xcb_randr_get_crtc_transform_pending_filter_name_end
4392 **
4393 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4394 ** @returns xcb_generic_iterator_t
4395 **
4396 *****************************************************************************/
4397
4398 xcb_generic_iterator_t
4399 xcb_randr_get_crtc_transform_pending_filter_name_end (const xcb_randr_get_crtc_transform_reply_t *R );
4400
4401
4402 /*****************************************************************************
4403 **
4404 ** xcb_render_fixed_t * xcb_randr_get_crtc_transform_pending_params
4405 **
4406 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4407 ** @returns xcb_render_fixed_t *
4408 **
4409 *****************************************************************************/
4410
4411 xcb_render_fixed_t *
4412 xcb_randr_get_crtc_transform_pending_params (const xcb_randr_get_crtc_transform_reply_t *R );
4413
4414
4415 /*****************************************************************************
4416 **
4417 ** int xcb_randr_get_crtc_transform_pending_params_length
4418 **
4419 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4420 ** @returns int
4421 **
4422 *****************************************************************************/
4423
4424 int
4425 xcb_randr_get_crtc_transform_pending_params_length (const xcb_randr_get_crtc_transform_reply_t *R );
4426
4427
4428 /*****************************************************************************
4429 **
4430 ** xcb_generic_iterator_t xcb_randr_get_crtc_transform_pending_params_end
4431 **
4432 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4433 ** @returns xcb_generic_iterator_t
4434 **
4435 *****************************************************************************/
4436
4437 xcb_generic_iterator_t
4438 xcb_randr_get_crtc_transform_pending_params_end (const xcb_randr_get_crtc_transform_reply_t *R );
4439
4440
4441 /*****************************************************************************
4442 **
4443 ** char * xcb_randr_get_crtc_transform_current_filter_name
4444 **
4445 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4446 ** @returns char *
4447 **
4448 *****************************************************************************/
4449
4450 char *
4451 xcb_randr_get_crtc_transform_current_filter_name (const xcb_randr_get_crtc_transform_reply_t *R );
4452
4453
4454 /*****************************************************************************
4455 **
4456 ** int xcb_randr_get_crtc_transform_current_filter_name_length
4457 **
4458 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4459 ** @returns int
4460 **
4461 *****************************************************************************/
4462
4463 int
4464 xcb_randr_get_crtc_transform_current_filter_name_length (const xcb_randr_get_crtc_transform_reply_t *R );
4465
4466
4467 /*****************************************************************************
4468 **
4469 ** xcb_generic_iterator_t xcb_randr_get_crtc_transform_current_filter_name_end
4470 **
4471 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4472 ** @returns xcb_generic_iterator_t
4473 **
4474 *****************************************************************************/
4475
4476 xcb_generic_iterator_t
4477 xcb_randr_get_crtc_transform_current_filter_name_end (const xcb_randr_get_crtc_transform_reply_t *R );
4478
4479
4480 /*****************************************************************************
4481 **
4482 ** xcb_render_fixed_t * xcb_randr_get_crtc_transform_current_params
4483 **
4484 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4485 ** @returns xcb_render_fixed_t *
4486 **
4487 *****************************************************************************/
4488
4489 xcb_render_fixed_t *
4490 xcb_randr_get_crtc_transform_current_params (const xcb_randr_get_crtc_transform_reply_t *R );
4491
4492
4493 /*****************************************************************************
4494 **
4495 ** int xcb_randr_get_crtc_transform_current_params_length
4496 **
4497 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4498 ** @returns int
4499 **
4500 *****************************************************************************/
4501
4502 int
4503 xcb_randr_get_crtc_transform_current_params_length (const xcb_randr_get_crtc_transform_reply_t *R );
4504
4505
4506 /*****************************************************************************
4507 **
4508 ** xcb_generic_iterator_t xcb_randr_get_crtc_transform_current_params_end
4509 **
4510 ** @param const xcb_randr_get_crtc_transform_reply_t *R
4511 ** @returns xcb_generic_iterator_t
4512 **
4513 *****************************************************************************/
4514
4515 xcb_generic_iterator_t
4516 xcb_randr_get_crtc_transform_current_params_end (const xcb_randr_get_crtc_transform_reply_t *R );
4517
4533 /*****************************************************************************
4534 **
4535 ** xcb_randr_get_crtc_transform_reply_t * xcb_randr_get_crtc_transform_reply
4536 **
4537 ** @param xcb_connection_t *c
4538 ** @param xcb_randr_get_crtc_transform_cookie_t cookie
4539 ** @param xcb_generic_error_t **e
4540 ** @returns xcb_randr_get_crtc_transform_reply_t *
4541 **
4542 *****************************************************************************/
4543
4544 xcb_randr_get_crtc_transform_reply_t *
4545 xcb_randr_get_crtc_transform_reply (xcb_connection_t *c ,
4546 xcb_randr_get_crtc_transform_cookie_t cookie ,
4547 xcb_generic_error_t **e );
4548
4558 /*****************************************************************************
4559 **
4560 ** xcb_randr_get_panning_cookie_t xcb_randr_get_panning
4561 **
4562 ** @param xcb_connection_t *c
4563 ** @param xcb_randr_crtc_t crtc
4564 ** @returns xcb_randr_get_panning_cookie_t
4565 **
4566 *****************************************************************************/
4567
4568 xcb_randr_get_panning_cookie_t
4569 xcb_randr_get_panning (xcb_connection_t *c ,
4570 xcb_randr_crtc_t crtc );
4571
4584 /*****************************************************************************
4585 **
4586 ** xcb_randr_get_panning_cookie_t xcb_randr_get_panning_unchecked
4587 **
4588 ** @param xcb_connection_t *c
4589 ** @param xcb_randr_crtc_t crtc
4590 ** @returns xcb_randr_get_panning_cookie_t
4591 **
4592 *****************************************************************************/
4593
4594 xcb_randr_get_panning_cookie_t
4595 xcb_randr_get_panning_unchecked (xcb_connection_t *c ,
4596 xcb_randr_crtc_t crtc );
4597
4613 /*****************************************************************************
4614 **
4615 ** xcb_randr_get_panning_reply_t * xcb_randr_get_panning_reply
4616 **
4617 ** @param xcb_connection_t *c
4618 ** @param xcb_randr_get_panning_cookie_t cookie
4619 ** @param xcb_generic_error_t **e
4620 ** @returns xcb_randr_get_panning_reply_t *
4621 **
4622 *****************************************************************************/
4623
4624 xcb_randr_get_panning_reply_t *
4625 xcb_randr_get_panning_reply (xcb_connection_t *c ,
4626 xcb_randr_get_panning_cookie_t cookie ,
4627 xcb_generic_error_t **e );
4628
4638 /*****************************************************************************
4639 **
4640 ** xcb_randr_set_panning_cookie_t xcb_randr_set_panning
4641 **
4642 ** @param xcb_connection_t *c
4643 ** @param xcb_randr_crtc_t crtc
4644 ** @param xcb_timestamp_t timestamp
4645 ** @param uint16_t left
4646 ** @param uint16_t top
4647 ** @param uint16_t width
4648 ** @param uint16_t height
4649 ** @param uint16_t track_left
4650 ** @param uint16_t track_top
4651 ** @param uint16_t track_width
4652 ** @param uint16_t track_height
4653 ** @param int16_t border_left
4654 ** @param int16_t border_top
4655 ** @param int16_t border_right
4656 ** @param int16_t border_bottom
4657 ** @returns xcb_randr_set_panning_cookie_t
4658 **
4659 *****************************************************************************/
4660
4661 xcb_randr_set_panning_cookie_t
4662 xcb_randr_set_panning (xcb_connection_t *c ,
4663 xcb_randr_crtc_t crtc ,
4664 xcb_timestamp_t timestamp ,
4665 uint16_t left ,
4666 uint16_t top ,
4667 uint16_t width ,
4668 uint16_t height ,
4669 uint16_t track_left ,
4670 uint16_t track_top ,
4671 uint16_t track_width ,
4672 uint16_t track_height ,
4673 int16_t border_left ,
4674 int16_t border_top ,
4675 int16_t border_right ,
4676 int16_t border_bottom );
4677
4690 /*****************************************************************************
4691 **
4692 ** xcb_randr_set_panning_cookie_t xcb_randr_set_panning_unchecked
4693 **
4694 ** @param xcb_connection_t *c
4695 ** @param xcb_randr_crtc_t crtc
4696 ** @param xcb_timestamp_t timestamp
4697 ** @param uint16_t left
4698 ** @param uint16_t top
4699 ** @param uint16_t width
4700 ** @param uint16_t height
4701 ** @param uint16_t track_left
4702 ** @param uint16_t track_top
4703 ** @param uint16_t track_width
4704 ** @param uint16_t track_height
4705 ** @param int16_t border_left
4706 ** @param int16_t border_top
4707 ** @param int16_t border_right
4708 ** @param int16_t border_bottom
4709 ** @returns xcb_randr_set_panning_cookie_t
4710 **
4711 *****************************************************************************/
4712
4713 xcb_randr_set_panning_cookie_t
4714 xcb_randr_set_panning_unchecked (xcb_connection_t *c ,
4715 xcb_randr_crtc_t crtc ,
4716 xcb_timestamp_t timestamp ,
4717 uint16_t left ,
4718 uint16_t top ,
4719 uint16_t width ,
4720 uint16_t height ,
4721 uint16_t track_left ,
4722 uint16_t track_top ,
4723 uint16_t track_width ,
4724 uint16_t track_height ,
4725 int16_t border_left ,
4726 int16_t border_top ,
4727 int16_t border_right ,
4728 int16_t border_bottom );
4729
4745 /*****************************************************************************
4746 **
4747 ** xcb_randr_set_panning_reply_t * xcb_randr_set_panning_reply
4748 **
4749 ** @param xcb_connection_t *c
4750 ** @param xcb_randr_set_panning_cookie_t cookie
4751 ** @param xcb_generic_error_t **e
4752 ** @returns xcb_randr_set_panning_reply_t *
4753 **
4754 *****************************************************************************/
4755
4756 xcb_randr_set_panning_reply_t *
4757 xcb_randr_set_panning_reply (xcb_connection_t *c ,
4758 xcb_randr_set_panning_cookie_t cookie ,
4759 xcb_generic_error_t **e );
4760
4773 /*****************************************************************************
4774 **
4775 ** xcb_void_cookie_t xcb_randr_set_output_primary_checked
4776 **
4777 ** @param xcb_connection_t *c
4778 ** @param xcb_window_t window
4779 ** @param xcb_randr_output_t output
4780 ** @returns xcb_void_cookie_t
4781 **
4782 *****************************************************************************/
4783
4784 xcb_void_cookie_t
4785 xcb_randr_set_output_primary_checked (xcb_connection_t *c ,
4786 xcb_window_t window ,
4787 xcb_randr_output_t output );
4788
4798 /*****************************************************************************
4799 **
4800 ** xcb_void_cookie_t xcb_randr_set_output_primary
4801 **
4802 ** @param xcb_connection_t *c
4803 ** @param xcb_window_t window
4804 ** @param xcb_randr_output_t output
4805 ** @returns xcb_void_cookie_t
4806 **
4807 *****************************************************************************/
4808
4809 xcb_void_cookie_t
4810 xcb_randr_set_output_primary (xcb_connection_t *c ,
4811 xcb_window_t window ,
4812 xcb_randr_output_t output );
4813
4823 /*****************************************************************************
4824 **
4825 ** xcb_randr_get_output_primary_cookie_t xcb_randr_get_output_primary
4826 **
4827 ** @param xcb_connection_t *c
4828 ** @param xcb_window_t window
4829 ** @returns xcb_randr_get_output_primary_cookie_t
4830 **
4831 *****************************************************************************/
4832
4833 xcb_randr_get_output_primary_cookie_t
4834 xcb_randr_get_output_primary (xcb_connection_t *c ,
4835 xcb_window_t window );
4836
4849 /*****************************************************************************
4850 **
4851 ** xcb_randr_get_output_primary_cookie_t xcb_randr_get_output_primary_unchecked
4852 **
4853 ** @param xcb_connection_t *c
4854 ** @param xcb_window_t window
4855 ** @returns xcb_randr_get_output_primary_cookie_t
4856 **
4857 *****************************************************************************/
4858
4859 xcb_randr_get_output_primary_cookie_t
4860 xcb_randr_get_output_primary_unchecked (xcb_connection_t *c ,
4861 xcb_window_t window );
4862
4878 /*****************************************************************************
4879 **
4880 ** xcb_randr_get_output_primary_reply_t * xcb_randr_get_output_primary_reply
4881 **
4882 ** @param xcb_connection_t *c
4883 ** @param xcb_randr_get_output_primary_cookie_t cookie
4884 ** @param xcb_generic_error_t **e
4885 ** @returns xcb_randr_get_output_primary_reply_t *
4886 **
4887 *****************************************************************************/
4888
4889 xcb_randr_get_output_primary_reply_t *
4890 xcb_randr_get_output_primary_reply (xcb_connection_t *c ,
4891 xcb_randr_get_output_primary_cookie_t cookie ,
4892 xcb_generic_error_t **e );
4893
4903 /*****************************************************************************
4904 **
4905 ** void xcb_randr_crtc_change_next
4906 **
4907 ** @param xcb_randr_crtc_change_iterator_t *i
4908 ** @returns void
4909 **
4910 *****************************************************************************/
4911
4912 void
4913 xcb_randr_crtc_change_next (xcb_randr_crtc_change_iterator_t *i );
4914
4925 /*****************************************************************************
4926 **
4927 ** xcb_generic_iterator_t xcb_randr_crtc_change_end
4928 **
4929 ** @param xcb_randr_crtc_change_iterator_t i
4930 ** @returns xcb_generic_iterator_t
4931 **
4932 *****************************************************************************/
4933
4934 xcb_generic_iterator_t
4935 xcb_randr_crtc_change_end (xcb_randr_crtc_change_iterator_t i );
4936
4946 /*****************************************************************************
4947 **
4948 ** void xcb_randr_output_change_next
4949 **
4950 ** @param xcb_randr_output_change_iterator_t *i
4951 ** @returns void
4952 **
4953 *****************************************************************************/
4954
4955 void
4956 xcb_randr_output_change_next (xcb_randr_output_change_iterator_t *i );
4957
4968 /*****************************************************************************
4969 **
4970 ** xcb_generic_iterator_t xcb_randr_output_change_end
4971 **
4972 ** @param xcb_randr_output_change_iterator_t i
4973 ** @returns xcb_generic_iterator_t
4974 **
4975 *****************************************************************************/
4976
4977 xcb_generic_iterator_t
4978 xcb_randr_output_change_end (xcb_randr_output_change_iterator_t i );
4979
4989 /*****************************************************************************
4990 **
4991 ** void xcb_randr_output_property_next
4992 **
4993 ** @param xcb_randr_output_property_iterator_t *i
4994 ** @returns void
4995 **
4996 *****************************************************************************/
4997
4998 void
4999 xcb_randr_output_property_next (xcb_randr_output_property_iterator_t *i );
5000
5011 /*****************************************************************************
5012 **
5013 ** xcb_generic_iterator_t xcb_randr_output_property_end
5014 **
5015 ** @param xcb_randr_output_property_iterator_t i
5016 ** @returns xcb_generic_iterator_t
5017 **
5018 *****************************************************************************/
5019
5020 xcb_generic_iterator_t
5021 xcb_randr_output_property_end (xcb_randr_output_property_iterator_t i );
5022
5032 /*****************************************************************************
5033 **
5034 ** void xcb_randr_notify_data_next
5035 **
5036 ** @param xcb_randr_notify_data_iterator_t *i
5037 ** @returns void
5038 **
5039 *****************************************************************************/
5040
5041 void
5042 xcb_randr_notify_data_next (xcb_randr_notify_data_iterator_t *i );
5043
5054 /*****************************************************************************
5055 **
5056 ** xcb_generic_iterator_t xcb_randr_notify_data_end
5057 **
5058 ** @param xcb_randr_notify_data_iterator_t i
5059 ** @returns xcb_generic_iterator_t
5060 **
5061 *****************************************************************************/
5062
5063 xcb_generic_iterator_t
5064 xcb_randr_notify_data_end (xcb_randr_notify_data_iterator_t i );
5065
5066
5067 #ifdef __cplusplus
5068 }
5069 #endif
5070
5071 #endif
5072